#   oid_printer.py
#
#
#   Copyright (C) Hidetoshi Nakano
#
#   Please use this program at your own risk.
#   Without any warranty.
# 
#       Date (Tue Aug  5 10:56:30 2003)
#
#   libsmi tools (smistrip,smidump)
#       smistrip  rfc1759.txt   ==> Printer-MIB
#       smidump -f identifiers Printer-MIB -o PrinterMIB.oid
#
#   toolset.py -m oid -o printer.py PrinterMIB.oid
#       add FinisherMIB
#####################################################################

PrinterMIB = {
    'printmib':                               '.1.3.6.1.2.1.43',
    'prtMIBConformance':                      '.1.3.6.1.2.1.43.2',
    'prtMIBCompliance':                       '.1.3.6.1.2.1.43.2.1',
    'prtMIBGroups':                           '.1.3.6.1.2.1.43.2.2',
    'prtGeneralGroup':                        '.1.3.6.1.2.1.43.2.2.1',
    'prtResponsiblePartyGroup':               '.1.3.6.1.2.1.43.2.2.2',
    'prtInputGroup':                          '.1.3.6.1.2.1.43.2.2.3',
    'prtExtendedInputGroup':                  '.1.3.6.1.2.1.43.2.2.4',
    'prtInputMediaGroup':                     '.1.3.6.1.2.1.43.2.2.5',
    'prtOutputGroup':                         '.1.3.6.1.2.1.43.2.2.6',
    'prtExtendedOutputGroup':                 '.1.3.6.1.2.1.43.2.2.7',
    'prtOutputDimensionsGroup':               '.1.3.6.1.2.1.43.2.2.8',
    'prtOutputFeaturesGroup':                 '.1.3.6.1.2.1.43.2.2.9',
    'prtMarkerGroup':                         '.1.3.6.1.2.1.43.2.2.10',
    'prtMarkerSuppliesGroup':                 '.1.3.6.1.2.1.43.2.2.11',
    'prtMarkerColorantGroup':                 '.1.3.6.1.2.1.43.2.2.12',
    'prtMediaPathGroup':                      '.1.3.6.1.2.1.43.2.2.13',
    'prtChannelGroup':                        '.1.3.6.1.2.1.43.2.2.14',
    'prtInterpreterGroup':                    '.1.3.6.1.2.1.43.2.2.15',
    'prtConsoleGroup':                        '.1.3.6.1.2.1.43.2.2.16',
    'prtAlertTableGroup':                     '.1.3.6.1.2.1.43.2.2.17',
    'prtAlertTimeGroup':                      '.1.3.6.1.2.1.43.2.2.18',
    'prtAuxiliarySheetGroup':                 '.1.3.6.1.2.1.43.2.2.19', 
    'prtInputSwitchingGroup':                 '.1.3.6.1.2.1.43.2.2.20', 
    'prtGeneralV2Group':                      '.1.3.6.1.2.1.43.2.2.21', 
    'prtAlertTableV2Group':                   '.1.3.6.1.2.1.43.2.2.22', 
    'prtChannelV2Group':                      '.1.3.6.1.2.1.43.2.2.23', 
    'prtAlertTrapGroup':                      '.1.3.6.1.2.1.43.2.2.24', 
    'prtMIB2Compliance':                      '.1.3.6.1.2.1.43.2.3',    
    'prtMIB2Groups':                          '.1.3.6.1.2.1.43.2.4',    

    ## FinisherMIB
    'finMIBCompliance':                       '.1.3.6.1.2.1.43.2.5',
    'finMIBGroups':                           '.1.3.6.1.2.1.43.2.6',
    'finDeviceGroup':                         '.1.3.6.1.2.1.43.2.6.1',
    'finSupplyGroup':                         '.1.3.6.1.2.1.43.2.6.2',
    'finSupplyMediaInputGroup':               '.1.3.6.1.2.1.43.2.6.3',
    'finDeviceAttributeGroup':                '.1.3.6.1.2.1.43.2.6.4',

    'prtGeneral':                             '.1.3.6.1.2.1.43.5',
    'prtGeneralTable':                        '.1.3.6.1.2.1.43.5.1',
    'prtGeneralEntry':                        '.1.3.6.1.2.1.43.5.1.1',
    'prtGeneralConfigChanges':                '.1.3.6.1.2.1.43.5.1.1.1',
    'prtGeneralCurrentLocalization':          '.1.3.6.1.2.1.43.5.1.1.2',
    'prtGeneralReset':                        '.1.3.6.1.2.1.43.5.1.1.3',
    'prtGeneralCurrentOperator':              '.1.3.6.1.2.1.43.5.1.1.4',
    'prtGeneralServicePerson':                '.1.3.6.1.2.1.43.5.1.1.5',
    'prtInputDefaultIndex':                   '.1.3.6.1.2.1.43.5.1.1.6',
    'prtOutputDefaultIndex':                  '.1.3.6.1.2.1.43.5.1.1.7',
    'prtMarkerDefaultIndex':                  '.1.3.6.1.2.1.43.5.1.1.8',
    'prtMediaPathDefaultIndex':               '.1.3.6.1.2.1.43.5.1.1.9',
    'prtConsoleLocalization':                 '.1.3.6.1.2.1.43.5.1.1.10',
    'prtConsoleNumberOfDisplayLines':         '.1.3.6.1.2.1.43.5.1.1.11',
    'prtConsoleNumberOfDisplayChars':         '.1.3.6.1.2.1.43.5.1.1.12',
    'prtConsoleDisable':                      '.1.3.6.1.2.1.43.5.1.1.13',
    'prtAuxiliarySheetStartupPage':           '.1.3.6.1.2.1.43.5.1.1.14', 
    'prtAuxiliarySheetBannerPage':            '.1.3.6.1.2.1.43.5.1.1.15', 
    'prtGeneralPrinterName':                  '.1.3.6.1.2.1.43.5.1.1.16', 
    'prtGeneralSerialNumber':                 '.1.3.6.1.2.1.43.5.1.1.17', 
    'prtAlertCriticalEvents':                 '.1.3.6.1.2.1.43.5.1.1.18', 
    'prtAlertAllEvents':                      '.1.3.6.1.2.1.43.5.1.1.19', 
    'prtStorageRefTable':                     '.1.3.6.1.2.1.43.5.2',
    'prtStorageRefEntry':                     '.1.3.6.1.2.1.43.5.2.1',
    'prtStorageRefSeqNumber':                 '.1.3.6.1.2.1.43.5.2.1.1',
    'prtStorageRefIndex':                     '.1.3.6.1.2.1.43.5.2.1.2',
    'prtDeviceRefTable':                      '.1.3.6.1.2.1.43.5.3',
    'prtDeviceRefEntry':                      '.1.3.6.1.2.1.43.5.3.1',
    'prtDeviceRefSeqNumber':                  '.1.3.6.1.2.1.43.5.3.1.1',
    'prtDeviceRefIndex':                      '.1.3.6.1.2.1.43.5.3.1.2',
    'prtCover':                               '.1.3.6.1.2.1.43.6',
    'prtCoverTable':                          '.1.3.6.1.2.1.43.6.1',
    'prtCoverEntry':                          '.1.3.6.1.2.1.43.6.1.1',
    'prtCoverIndex':                          '.1.3.6.1.2.1.43.6.1.1.1',
    'prtCoverDescription':                    '.1.3.6.1.2.1.43.6.1.1.2',
    'prtCoverStatus':                         '.1.3.6.1.2.1.43.6.1.1.3',
    'prtLocalization':                        '.1.3.6.1.2.1.43.7',
    'prtLocalizationTable':                   '.1.3.6.1.2.1.43.7.1',
    'prtLocalizationEntry':                   '.1.3.6.1.2.1.43.7.1.1',
    'prtLocalizationIndex':                   '.1.3.6.1.2.1.43.7.1.1.1',
    'prtLocalizationLanguage':                '.1.3.6.1.2.1.43.7.1.1.2',
    'prtLocalizationCountry':                 '.1.3.6.1.2.1.43.7.1.1.3',
    'prtLocalizationCharacterSet':            '.1.3.6.1.2.1.43.7.1.1.4',
    'prtInput':                               '.1.3.6.1.2.1.43.8',
    'prtInputTable':                          '.1.3.6.1.2.1.43.8.2',
    'prtInputEntry':                          '.1.3.6.1.2.1.43.8.2.1',
    'prtInputIndex':                          '.1.3.6.1.2.1.43.8.2.1.1',
    'prtInputType':                           '.1.3.6.1.2.1.43.8.2.1.2',
    'prtInputDimUnit':                        '.1.3.6.1.2.1.43.8.2.1.3',
    'prtInputMediaDimFeedDirDeclared':        '.1.3.6.1.2.1.43.8.2.1.4',
    'prtInputMediaDimXFeedDirDeclared':       '.1.3.6.1.2.1.43.8.2.1.5',
    'prtInputMediaDimFeedDirChosen':          '.1.3.6.1.2.1.43.8.2.1.6',
    'prtInputMediaDimXFeedDirChosen':         '.1.3.6.1.2.1.43.8.2.1.7',
    'prtInputCapacityUnit':                   '.1.3.6.1.2.1.43.8.2.1.8',
    'prtInputMaxCapacity':                    '.1.3.6.1.2.1.43.8.2.1.9',
    'prtInputCurrentLevel':                   '.1.3.6.1.2.1.43.8.2.1.10',
    'prtInputStatus':                         '.1.3.6.1.2.1.43.8.2.1.11',
    'prtInputMediaName':                      '.1.3.6.1.2.1.43.8.2.1.12',
    'prtInputName':                           '.1.3.6.1.2.1.43.8.2.1.13',
    'prtInputVendorName':                     '.1.3.6.1.2.1.43.8.2.1.14',
    'prtInputModel':                          '.1.3.6.1.2.1.43.8.2.1.15',
    'prtInputVersion':                        '.1.3.6.1.2.1.43.8.2.1.16',
    'prtInputSerialNumber':                   '.1.3.6.1.2.1.43.8.2.1.17',
    'prtInputDescription':                    '.1.3.6.1.2.1.43.8.2.1.18',
    'prtInputSecurity':                       '.1.3.6.1.2.1.43.8.2.1.19',
    'prtInputMediaWeight':                    '.1.3.6.1.2.1.43.8.2.1.20',
    'prtInputMediaType':                      '.1.3.6.1.2.1.43.8.2.1.21',
    'prtInputMediaColor':                     '.1.3.6.1.2.1.43.8.2.1.22',
    'prtInputMediaFormParts':                 '.1.3.6.1.2.1.43.8.2.1.23',
    'prtInputMediaLoadTimeout':               '.1.3.6.1.2.1.43.8.2.1.24', 
    'prtInputNextIndex':                      '.1.3.6.1.2.1.43.8.2.1.25', 
    'prtOutput':                              '.1.3.6.1.2.1.43.9',
    'prtOutputTable':                         '.1.3.6.1.2.1.43.9.2',
    'prtOutputEntry':                         '.1.3.6.1.2.1.43.9.2.1',
    'prtOutputIndex':                         '.1.3.6.1.2.1.43.9.2.1.1',
    'prtOutputType':                          '.1.3.6.1.2.1.43.9.2.1.2',
    'prtOutputCapacityUnit':                  '.1.3.6.1.2.1.43.9.2.1.3',
    'prtOutputMaxCapacity':                   '.1.3.6.1.2.1.43.9.2.1.4',
    'prtOutputRemainingCapacity':             '.1.3.6.1.2.1.43.9.2.1.5',
    'prtOutputStatus':                        '.1.3.6.1.2.1.43.9.2.1.6',
    'prtOutputName':                          '.1.3.6.1.2.1.43.9.2.1.7',
    'prtOutputVendorName':                    '.1.3.6.1.2.1.43.9.2.1.8',
    'prtOutputModel':                         '.1.3.6.1.2.1.43.9.2.1.9',
    'prtOutputVersion':                       '.1.3.6.1.2.1.43.9.2.1.10',
    'prtOutputSerialNumber':                  '.1.3.6.1.2.1.43.9.2.1.11',
    'prtOutputDescription':                   '.1.3.6.1.2.1.43.9.2.1.12',
    'prtOutputSecurity':                      '.1.3.6.1.2.1.43.9.2.1.13',
    'prtOutputDimUnit':                       '.1.3.6.1.2.1.43.9.2.1.14',
    'prtOutputMaxDimFeedDir':                 '.1.3.6.1.2.1.43.9.2.1.15',
    'prtOutputMaxDimXFeedDir':                '.1.3.6.1.2.1.43.9.2.1.16',
    'prtOutputMinDimFeedDir':                 '.1.3.6.1.2.1.43.9.2.1.17',
    'prtOutputMinDimXFeedDir':                '.1.3.6.1.2.1.43.9.2.1.18',
    'prtOutputStackingOrder':                 '.1.3.6.1.2.1.43.9.2.1.19',
    'prtOutputPageDeliveryOrientation':       '.1.3.6.1.2.1.43.9.2.1.20',
    'prtOutputBursting':                      '.1.3.6.1.2.1.43.9.2.1.21',
    'prtOutputDecollating':                   '.1.3.6.1.2.1.43.9.2.1.22',
    'prtOutputPageCollated':                  '.1.3.6.1.2.1.43.9.2.1.23',
    'prtOutputOffsetStacking':                '.1.3.6.1.2.1.43.9.2.1.24',
    'prtMarker':                              '.1.3.6.1.2.1.43.10',
    'prtMarkerTable':                         '.1.3.6.1.2.1.43.10.2',
    'prtMarkerEntry':                         '.1.3.6.1.2.1.43.10.2.1',
    'prtMarkerIndex':                         '.1.3.6.1.2.1.43.10.2.1.1',
    'prtMarkerMarkTech':                      '.1.3.6.1.2.1.43.10.2.1.2',
    'prtMarkerCounterUnit':                   '.1.3.6.1.2.1.43.10.2.1.3',
    'prtMarkerLifeCount':                     '.1.3.6.1.2.1.43.10.2.1.4',
    'prtMarkerPowerOnCount':                  '.1.3.6.1.2.1.43.10.2.1.5',
    'prtMarkerProcessColorants':              '.1.3.6.1.2.1.43.10.2.1.6',
    'prtMarkerSpotColorants':                 '.1.3.6.1.2.1.43.10.2.1.7',
    'prtMarkerAddressabilityUnit':            '.1.3.6.1.2.1.43.10.2.1.8',
    'prtMarkerAddressabilityFeedDir':         '.1.3.6.1.2.1.43.10.2.1.9',
    'prtMarkerAddressabilityXFeedDir':        '.1.3.6.1.2.1.43.10.2.1.10',
    'prtMarkerNorthMargin':                   '.1.3.6.1.2.1.43.10.2.1.11',
    'prtMarkerSouthMargin':                   '.1.3.6.1.2.1.43.10.2.1.12',
    'prtMarkerWestMargin':                    '.1.3.6.1.2.1.43.10.2.1.13',
    'prtMarkerEastMargin':                    '.1.3.6.1.2.1.43.10.2.1.14',
    'prtMarkerStatus':                        '.1.3.6.1.2.1.43.10.2.1.15',
    'prtMarkerSupplies':                      '.1.3.6.1.2.1.43.11',
    'prtMarkerSuppliesTable':                 '.1.3.6.1.2.1.43.11.1',
    'prtMarkerSuppliesEntry':                 '.1.3.6.1.2.1.43.11.1.1',
    'prtMarkerSuppliesIndex':                 '.1.3.6.1.2.1.43.11.1.1.1',
    'prtMarkerSuppliesMarkerIndex':           '.1.3.6.1.2.1.43.11.1.1.2',
    'prtMarkerSuppliesColorantIndex':         '.1.3.6.1.2.1.43.11.1.1.3',
    'prtMarkerSuppliesClass':                 '.1.3.6.1.2.1.43.11.1.1.4',
    'prtMarkerSuppliesType':                  '.1.3.6.1.2.1.43.11.1.1.5',
    'prtMarkerSuppliesDescription':           '.1.3.6.1.2.1.43.11.1.1.6',
    'prtMarkerSuppliesSupplyUnit':            '.1.3.6.1.2.1.43.11.1.1.7',
    'prtMarkerSuppliesMaxCapacity':           '.1.3.6.1.2.1.43.11.1.1.8',
    'prtMarkerSuppliesLevel':                 '.1.3.6.1.2.1.43.11.1.1.9',
    'prtMarkerColorant':                      '.1.3.6.1.2.1.43.12',
    'prtMarkerColorantTable':                 '.1.3.6.1.2.1.43.12.1',
    'prtMarkerColorantEntry':                 '.1.3.6.1.2.1.43.12.1.1',
    'prtMarkerColorantIndex':                 '.1.3.6.1.2.1.43.12.1.1.1',
    'prtMarkerColorantMarkerIndex':           '.1.3.6.1.2.1.43.12.1.1.2',
    'prtMarkerColorantRole':                  '.1.3.6.1.2.1.43.12.1.1.3',
    'prtMarkerColorantValue':                 '.1.3.6.1.2.1.43.12.1.1.4',
    'prtMarkerColorantTonality':              '.1.3.6.1.2.1.43.12.1.1.5',
    'prtMediaPath':                           '.1.3.6.1.2.1.43.13',
    'prtMediaPathTable':                      '.1.3.6.1.2.1.43.13.4',
    'prtMediaPathEntry':                      '.1.3.6.1.2.1.43.13.4.1',
    'prtMediaPathIndex':                      '.1.3.6.1.2.1.43.13.4.1.1',
    'prtMediaPathMaxSpeedPrintUnit':          '.1.3.6.1.2.1.43.13.4.1.2',
    'prtMediaPathMediaSizeUnit':              '.1.3.6.1.2.1.43.13.4.1.3',
    'prtMediaPathMaxSpeed':                   '.1.3.6.1.2.1.43.13.4.1.4',
    'prtMediaPathMaxMediaFeedDir':            '.1.3.6.1.2.1.43.13.4.1.5',
    'prtMediaPathMaxMediaXFeedDir':           '.1.3.6.1.2.1.43.13.4.1.6',
    'prtMediaPathMinMediaFeedDir':            '.1.3.6.1.2.1.43.13.4.1.7',
    'prtMediaPathMinMediaXFeedDir':           '.1.3.6.1.2.1.43.13.4.1.8',
    'prtMediaPathType':                       '.1.3.6.1.2.1.43.13.4.1.9',
    'prtMediaPathDescription':                '.1.3.6.1.2.1.43.13.4.1.10',
    'prtMediaPathStatus':                     '.1.3.6.1.2.1.43.13.4.1.11',
    'prtChannel':                             '.1.3.6.1.2.1.43.14',
    'prtChannelTable':                        '.1.3.6.1.2.1.43.14.1',
    'prtChannelEntry':                        '.1.3.6.1.2.1.43.14.1.1',
    'prtChannelIndex':                        '.1.3.6.1.2.1.43.14.1.1.1',
    'prtChannelType':                         '.1.3.6.1.2.1.43.14.1.1.2',
    'prtChannelProtocolVersion':              '.1.3.6.1.2.1.43.14.1.1.3',
    'prtChannelCurrentJobCntlLangIndex':      '.1.3.6.1.2.1.43.14.1.1.4',
    'prtChannelDefaultPageDescLangIndex':     '.1.3.6.1.2.1.43.14.1.1.5',
    'prtChannelState':                        '.1.3.6.1.2.1.43.14.1.1.6',
    'prtChannelIfIndex':                      '.1.3.6.1.2.1.43.14.1.1.7',
    'prtChannelStatus':                       '.1.3.6.1.2.1.43.14.1.1.8',
    'prtChannelInformation':                  '.1.3.6.1.2.1.43.14.1.1.9', 

    'prtInterpreter':                         '.1.3.6.1.2.1.43.15',
    'prtInterpreterTable':                    '.1.3.6.1.2.1.43.15.1',
    'prtInterpreterEntry':                    '.1.3.6.1.2.1.43.15.1.1',
    'prtInterpreterIndex':                    '.1.3.6.1.2.1.43.15.1.1.1',
    'prtInterpreterLangFamily':               '.1.3.6.1.2.1.43.15.1.1.2',
    'prtInterpreterLangLevel':                '.1.3.6.1.2.1.43.15.1.1.3',
    'prtInterpreterLangVersion':              '.1.3.6.1.2.1.43.15.1.1.4',
    'prtInterpreterDescription':              '.1.3.6.1.2.1.43.15.1.1.5',
    'prtInterpreterVersion':                  '.1.3.6.1.2.1.43.15.1.1.6',
    'prtInterpreterDefaultOrientation':       '.1.3.6.1.2.1.43.15.1.1.7',
    'prtInterpreterFeedAddressability':       '.1.3.6.1.2.1.43.15.1.1.8',
    'prtInterpreterXFeedAddressability':      '.1.3.6.1.2.1.43.15.1.1.9',
    'prtInterpreterDefaultCharSetIn':         '.1.3.6.1.2.1.43.15.1.1.10',
    'prtInterpreterDefaultCharSetOut':        '.1.3.6.1.2.1.43.15.1.1.11',
    'prtInterpreterTwoWay':                   '.1.3.6.1.2.1.43.15.1.1.12',
    'prtConsoleDisplayBuffer':                '.1.3.6.1.2.1.43.16',
    'prtConsoleDisplayBufferTable':           '.1.3.6.1.2.1.43.16.5',
    'prtConsoleDisplayBufferEntry':           '.1.3.6.1.2.1.43.16.5.1',
    'prtConsoleDisplayBufferIndex':           '.1.3.6.1.2.1.43.16.5.1.1',
    'prtConsoleDisplayBufferText':            '.1.3.6.1.2.1.43.16.5.1.2',
    'prtConsoleLights':                       '.1.3.6.1.2.1.43.17',
    'prtConsoleLightTable':                   '.1.3.6.1.2.1.43.17.6',
    'prtConsoleLightEntry':                   '.1.3.6.1.2.1.43.17.6.1',
    'prtConsoleLightIndex':                   '.1.3.6.1.2.1.43.17.6.1.1',
    'prtConsoleOnTime':                       '.1.3.6.1.2.1.43.17.6.1.2',
    'prtConsoleOffTime':                      '.1.3.6.1.2.1.43.17.6.1.3',
    'prtConsoleColor':                        '.1.3.6.1.2.1.43.17.6.1.4',
    'prtConsoleDescription':                  '.1.3.6.1.2.1.43.17.6.1.5',
    'prtAlert':                               '.1.3.6.1.2.1.43.18',
    'prtAlertTable':                          '.1.3.6.1.2.1.43.18.1',
    'prtAlertEntry':                          '.1.3.6.1.2.1.43.18.1.1',
    'prtAlertIndex':                          '.1.3.6.1.2.1.43.18.1.1.1',
    'prtAlertSeverityLevel':                  '.1.3.6.1.2.1.43.18.1.1.2',
    'prtAlertTrainingLevel':                  '.1.3.6.1.2.1.43.18.1.1.3',
    'prtAlertGroup':                          '.1.3.6.1.2.1.43.18.1.1.4',
    'prtAlertGroupIndex':                     '.1.3.6.1.2.1.43.18.1.1.5',
    'prtAlertLocation':                       '.1.3.6.1.2.1.43.18.1.1.6',
    'prtAlertCode':                           '.1.3.6.1.2.1.43.18.1.1.7',
    'prtAlertDescription':                    '.1.3.6.1.2.1.43.18.1.1.8',
    'prtAlertTime':                           '.1.3.6.1.2.1.43.18.1.1.9',
    'printerV1Alert':                         '.1.3.6.1.2.1.43.18.2',
    'printerV2AlertPrefix':                   '.1.3.6.1.2.1.43.18.2.0',
    'printerV2Alert':                         '.1.3.6.1.2.1.43.18.2.0.1',

  ## FinisherMIB
    'finDevice':                              '.1.3.6.1.2.1.43.30',
    'finDeviceTable':                         '.1.3.6.1.2.1.43.30.1',
    'finDeviceEntry':                         '.1.3.6.1.2.1.43.30.1.1',
    'finDeviceIndex':                         '.1.3.6.1.2.1.43.30.1.1.1',
    'finDeviceType':                          '.1.3.6.1.2.1.43.30.1.1.2',
    'finDevicePresentOnOff':                  '.1.3.6.1.2.1.43.30.1.1.3',
    'finDeviceCapacityUnit':                  '.1.3.6.1.2.1.43.30.1.1.4',
    'finDeviceMaxCapacity':                   '.1.3.6.1.2.1.43.30.1.1.5',
    'finDeviceCurrentCapacity':               '.1.3.6.1.2.1.43.30.1.1.6',
    'finDeviceAssociatedMediaPaths':          '.1.3.6.1.2.1.43.30.1.1.7',
    'finDeviceAssociatedOutputs':             '.1.3.6.1.2.1.43.30.1.1.8',
    'finDeviceStatus':                        '.1.3.6.1.2.1.43.30.1.1.9',
    'finDeviceDescription':                   '.1.3.6.1.2.1.43.30.1.1.10',
    'finSupply':                              '.1.3.6.1.2.1.43.31',
    'finSupplyTable':                         '.1.3.6.1.2.1.43.31.1',
    'finSupplyEntry':                         '.1.3.6.1.2.1.43.31.1.1',
    'finSupplyIndex':                         '.1.3.6.1.2.1.43.31.1.1.1',
    'finSupplyDeviceIndex':                   '.1.3.6.1.2.1.43.31.1.1.2',
    'finSupplyClass':                         '.1.3.6.1.2.1.43.31.1.1.3',
    'finSupplyType':                          '.1.3.6.1.2.1.43.31.1.1.4',
    'finSupplyDescription':                   '.1.3.6.1.2.1.43.31.1.1.5',
    'finSupplyUnit':                          '.1.3.6.1.2.1.43.31.1.1.6',
    'finSupplyMaxCapacity':                   '.1.3.6.1.2.1.43.31.1.1.7',
    'finSupplyCurrentLevel':                  '.1.3.6.1.2.1.43.31.1.1.8',
    'finSupplyColorName':                     '.1.3.6.1.2.1.43.31.1.1.9',
    'finSupplyMediaInput':                    '.1.3.6.1.2.1.43.32',
    'finSupplyMediaInputTable':               '.1.3.6.1.2.1.43.32.1',
    'finSupplyMediaInputEntry':               '.1.3.6.1.2.1.43.32.1.1',
    'finSupplyMediaInputIndex':               '.1.3.6.1.2.1.43.32.1.1.1',
    'finSupplyMediaInputDeviceIndex':         '.1.3.6.1.2.1.43.32.1.1.2',
    'finSupplyMediaInputSupplyIndex':         '.1.3.6.1.2.1.43.32.1.1.3',
    'finSupplyMediaInputType':                '.1.3.6.1.2.1.43.32.1.1.4',
    'finSupplyMediaInputDimUnit':             '.1.3.6.1.2.1.43.32.1.1.5',
    'finSupplyMediaInputMediaDimFeedDir':     '.1.3.6.1.2.1.43.32.1.1.6',
    'finSupplyMediaInputMediaDimXFeedDir':    '.1.3.6.1.2.1.43.32.1.1.7',
    'finSupplyMediaInputStatus':              '.1.3.6.1.2.1.43.32.1.1.8',
    'finSupplyMediaInputMediaName':           '.1.3.6.1.2.1.43.32.1.1.9',
    'finSupplyMediaInputName':                '.1.3.6.1.2.1.43.32.1.1.10',
    'finSupplyMediaInputDescription':         '.1.3.6.1.2.1.43.32.1.1.11',
    'finSupplyMediaInputSecurity':            '.1.3.6.1.2.1.43.32.1.1.12',
    'finSupplyMediaInputMediaWeight':         '.1.3.6.1.2.1.43.32.1.1.13',
    'finSupplyMediaInputMediaThickness':      '.1.3.6.1.2.1.43.32.1.1.14',
    'finSupplyMediaInputMediaType':           '.1.3.6.1.2.1.43.32.1.1.15',
    'finDeviceAttribute':                     '.1.3.6.1.2.1.43.33',
    'finDeviceAttributeTable':                '.1.3.6.1.2.1.43.33.1',
    'finDeviceAttributeEntry':                '.1.3.6.1.2.1.43.33.1.1',
    'finDeviceAttributeTypeIndex':            '.1.3.6.1.2.1.43.33.1.1.1',
    'finDeviceAttributeInstanceIndex':        '.1.3.6.1.2.1.43.33.1.1.2',
    'finDeviceAttributeValueAsInteger':       '.1.3.6.1.2.1.43.33.1.1.3',
    'finDeviceAttributeValueAsOctets':        '.1.3.6.1.2.1.43.33.1.1.4',
    }
