#
#    HP-MIB/LJ9000mfp_beta.mib.py
#
#    pyasn.py version(0.2)
#    convert a asn.1-file to a python dic-file.
#    original file : LJ9000mfp_beta.mib.oid
#    2004-07-12:11:36:12
#
########################################

privateMIB = { 
#    '11':                                   'hp',
#    '11.2':                                 'nm',
#    '11.2.3':                               'hpsystem',
#    '11.2.3.9':                             'net-peripheral',
#    '11.2.3.9.4':                           'netdm',
#    '11.2.3.9.4.2':                         'dm',
#    '11.2.3.9.4.2.1':                       'device',
#    '11.2.3.9.4.2.1.1':                     'system',
#    '11.2.3.9.4.2.1.1.1':                   'settings-system',
#    '11.2.3.9.4.2.1.1.1.1':                 'energy-star',
    '11.2.3.9.4.2.1.1.1.2':                 'sleep-mode',
    '11.2.3.9.4.2.1.1.2':                   'status-system',
    '11.2.3.9.4.2.1.1.2.5':                 'on-off-line',
    '11.2.3.9.4.2.1.1.2.6':                 'continue',
    '11.2.3.9.4.2.1.1.2.7':                 'auto-continue',
    '11.2.3.9.4.2.1.1.2.10':                'perm-store-init-occurred',
    '11.2.3.9.4.2.1.1.2.35':                'job-input-auto-continue-timeout',
    '11.2.3.9.4.2.1.1.2.36':                'job-input-auto-continue-mode',
    '11.2.3.9.4.2.1.1.2.37':                'background-message',
    '11.2.3.9.4.2.1.1.2.37.1':              'background-message1',
    '11.2.3.9.4.2.1.1.2.37.1.1':            'background-status-msg-line1-part1',
    '11.2.3.9.4.2.1.1.2.37.2':              'background-message2',
    '11.2.3.9.4.2.1.1.2.37.2.1':            'background-status-msg-line2-part1',
    '11.2.3.9.4.2.1.1.2.37.3':              'background-message3',
    '11.2.3.9.4.2.1.1.2.37.3.1':            'background-status-msg-line3-part1',
    '11.2.3.9.4.2.1.1.2.37.4':              'background-message4',
    '11.2.3.9.4.2.1.1.2.37.4.1':            'background-status-msg-line4-part1',
    '11.2.3.9.4.2.1.1.2.38':                'error-log-clear',
    '11.2.3.9.4.2.1.1.2.40':                'job-output-auto-continue-timeout',
    '11.2.3.9.4.2.1.1.2.42':                'collated-originals-support',
    '11.2.3.9.4.2.1.1.2.52':                'localization-languages-supported',
    '11.2.3.9.4.2.1.1.2.53':                'localization-countries-supported',
    '11.2.3.9.4.2.1.1.2.59':                'host-application-available-memory',
    '11.2.3.9.4.2.1.1.2.60':                'control-panel-button-press',
    '11.2.3.9.4.2.1.1.2.63':                'control-panel-display-contents-change-counter',
    '11.2.3.9.4.2.1.1.2.64':                'control-panel-display-contents-crc',
    '11.2.3.9.4.2.1.1.2.65':                'control-panel-display',
    '11.2.3.9.4.2.1.1.2.65.1':              'control-panel-display-graphical-contents',
    '11.2.3.9.4.2.1.1.3':                   'id',
    '11.2.3.9.4.2.1.1.3.1':                 'model-number',
    '11.2.3.9.4.2.1.1.3.2':                 'model-name',
    '11.2.3.9.4.2.1.1.3.3':                 'serial-number',
    '11.2.3.9.4.2.1.1.3.5':                 'fw-rom-datecode',
    '11.2.3.9.4.2.1.1.3.6':                 'fw-rom-revision',
    '11.2.3.9.4.2.1.1.3.10':                'device-name',
    '11.2.3.9.4.2.1.1.3.11':                'device-location',
    '11.2.3.9.4.2.1.1.3.12':                'asset-number',
    '11.2.3.9.4.2.1.1.4':                   'interface',
    '11.2.3.9.4.2.1.1.4.1':                 'simm',
    '11.2.3.9.4.2.1.1.4.1.1':               'simm1',
    '11.2.3.9.4.2.1.1.4.1.1.4':             'simm1-type',
    '11.2.3.9.4.2.1.1.4.1.1.5':             'simm1-capacity',
    '11.2.3.9.4.2.1.1.4.1.1.6':             'simm1-bank',
    '11.2.3.9.4.2.1.1.4.1.1.6.1':           'simm1-bank1',
    '11.2.3.9.4.2.1.1.4.1.1.6.1.1':         'simm1-bank1-type',
    '11.2.3.9.4.2.1.1.4.1.1.6.1.2':         'simm1-bank1-capacity',
    '11.2.3.9.4.2.1.1.4.1.1.6.2':           'simm1-bank2',
    '11.2.3.9.4.2.1.1.4.1.1.6.2.1':         'simm1-bank2-type',
    '11.2.3.9.4.2.1.1.4.1.1.6.2.2':         'simm1-bank2-capacity',
    '11.2.3.9.4.2.1.1.4.1.2':               'simm2',
    '11.2.3.9.4.2.1.1.4.1.2.4':             'simm2-type',
    '11.2.3.9.4.2.1.1.4.1.2.5':             'simm2-capacity',
    '11.2.3.9.4.2.1.1.4.1.2.6':             'simm2-bank',
    '11.2.3.9.4.2.1.1.4.1.2.6.1':           'simm2-bank1',
    '11.2.3.9.4.2.1.1.4.1.2.6.1.1':         'simm2-bank1-type',
    '11.2.3.9.4.2.1.1.4.1.2.6.1.2':         'simm2-bank1-capacity',
    '11.2.3.9.4.2.1.1.4.1.2.6.2':           'simm2-bank2',
    '11.2.3.9.4.2.1.1.4.1.2.6.2.1':         'simm2-bank2-type',
    '11.2.3.9.4.2.1.1.4.1.2.6.2.2':         'simm2-bank2-capacity',
    '11.2.3.9.4.2.1.1.4.1.3':               'simm3',
    '11.2.3.9.4.2.1.1.4.1.3.4':             'simm3-type',
    '11.2.3.9.4.2.1.1.4.1.3.5':             'simm3-capacity',
    '11.2.3.9.4.2.1.1.4.1.3.6':             'simm3-bank',
    '11.2.3.9.4.2.1.1.4.1.3.6.1':           'simm3-bank1',
    '11.2.3.9.4.2.1.1.4.1.3.6.1.1':         'simm3-bank1-type',
    '11.2.3.9.4.2.1.1.4.1.3.6.1.2':         'simm3-bank1-capacity',
    '11.2.3.9.4.2.1.1.4.1.3.6.2':           'simm3-bank2',
    '11.2.3.9.4.2.1.1.4.1.3.6.2.1':         'simm3-bank2-type',
    '11.2.3.9.4.2.1.1.4.1.3.6.2.2':         'simm3-bank2-capacity',
    '11.2.3.9.4.2.1.1.4.1.4':               'simm4',
    '11.2.3.9.4.2.1.1.4.1.4.4':             'simm4-type',
    '11.2.3.9.4.2.1.1.4.1.4.5':             'simm4-capacity',
    '11.2.3.9.4.2.1.1.4.1.4.6':             'simm4-bank',
    '11.2.3.9.4.2.1.1.4.1.4.6.1':           'simm4-bank1',
    '11.2.3.9.4.2.1.1.4.1.4.6.1.1':         'simm4-bank1-type',
    '11.2.3.9.4.2.1.1.4.1.4.6.1.2':         'simm4-bank1-capacity',
    '11.2.3.9.4.2.1.1.4.1.4.6.2':           'simm4-bank2',
    '11.2.3.9.4.2.1.1.4.1.4.6.2.1':         'simm4-bank2-type',
    '11.2.3.9.4.2.1.1.4.1.4.6.2.2':         'simm4-bank2-capacity',
    '11.2.3.9.4.2.1.1.4.3':                 'mio',
    '11.2.3.9.4.2.1.1.4.3.1':               'mio1',
    '11.2.3.9.4.2.1.1.4.3.1.2':             'mio1-model-name',
    '11.2.3.9.4.2.1.1.4.3.1.3':             'mio1-manufacturing-info',
    '11.2.3.9.4.2.1.1.4.3.1.4':             'mio1-type',
    '11.2.3.9.4.2.1.1.4.3.2':               'mio2',
    '11.2.3.9.4.2.1.1.4.3.2.2':             'mio2-model-name',
    '11.2.3.9.4.2.1.1.4.3.2.3':             'mio2-manufacturing-info',
    '11.2.3.9.4.2.1.1.4.3.2.4':             'mio2-type',
    '11.2.3.9.4.2.1.1.4.3.3':               'mio3',
    '11.2.3.9.4.2.1.1.4.3.3.2':             'mio3-model-name',
    '11.2.3.9.4.2.1.1.4.3.3.3':             'mio3-manufacturing-info',
    '11.2.3.9.4.2.1.1.4.3.3.4':             'mio3-type',
    '11.2.3.9.4.2.1.1.4.5':                 'phd',
    '11.2.3.9.4.2.1.1.4.5.2':               'phd2',
    '11.2.3.9.4.2.1.1.4.5.2.1':             'phd2-model',
    '11.2.3.9.4.2.1.1.4.5.2.2':             'phd2-manufacturing-info',
    '11.2.3.9.4.2.1.1.4.5.2.3':             'phd2-type',
    '11.2.3.9.4.2.1.1.4.5.2.4':             'phd2-capacity',
    '11.2.3.9.4.2.1.1.4.5.3':               'phd3',
    '11.2.3.9.4.2.1.1.4.5.3.1':             'phd3-model',
    '11.2.3.9.4.2.1.1.4.5.3.2':             'phd3-manufacturing-info',
    '11.2.3.9.4.2.1.1.4.5.3.3':             'phd3-type',
    '11.2.3.9.4.2.1.1.4.5.3.4':             'phd3-capacity',
    '11.2.3.9.4.2.1.1.4.5.4':               'phd4',
    '11.2.3.9.4.2.1.1.4.5.4.1':             'phd4-model',
    '11.2.3.9.4.2.1.1.4.5.4.2':             'phd4-manufacturing-info',
    '11.2.3.9.4.2.1.1.4.5.4.3':             'phd4-type',
    '11.2.3.9.4.2.1.1.4.5.4.4':             'phd4-capacity',
    '11.2.3.9.4.2.1.1.4.5.5':               'phd5',
    '11.2.3.9.4.2.1.1.4.5.5.1':             'phd5-model',
    '11.2.3.9.4.2.1.1.4.5.5.2':             'phd5-manufacturing-info',
    '11.2.3.9.4.2.1.1.4.5.5.3':             'phd5-type',
    '11.2.3.9.4.2.1.1.4.5.5.4':             'phd5-capacity',
    '11.2.3.9.4.2.1.1.4.5.6':               'phd6',
    '11.2.3.9.4.2.1.1.4.5.6.1':             'phd6-model',
    '11.2.3.9.4.2.1.1.4.5.6.2':             'phd6-manufacturing-info',
    '11.2.3.9.4.2.1.1.4.5.6.3':             'phd6-type',
    '11.2.3.9.4.2.1.1.4.5.6.4':             'phd6-capacity',
    '11.2.3.9.4.2.1.1.4.7':                 'socket-ping',
    '11.2.3.9.4.2.1.1.4.7.1':               'socket-ping-job-events-version',
    '11.2.3.9.4.2.1.1.5':                   'test',
    '11.2.3.9.4.2.1.1.5.1':                 'self-test',
    '11.2.3.9.4.2.1.1.5.2':                 'print-internal-page',
    '11.2.3.9.4.2.1.1.5.7':                 'engine-self-diagnostic',
    '11.2.3.9.4.2.1.1.6':                   'job',
    '11.2.3.9.4.2.1.1.6.1':                 'settings-job',
    '11.2.3.9.4.2.1.1.6.1.1':               'clearable-warning',
    '11.2.3.9.4.2.1.1.6.1.2':               'cancel-job',
    '11.2.3.9.4.2.1.1.6.1.3':               'job-info-change-id',
    '11.2.3.9.4.2.1.1.6.1.10':              'hold-job-timeout',
    '11.2.3.9.4.2.1.1.6.2':                 'active-print-jobs',
    '11.2.3.9.4.2.1.1.6.2.1':               'job-being-parsed',
    '11.2.3.9.4.2.1.1.6.2.1.1':             'current-job-parsing-id',
    '11.2.3.9.4.2.1.1.6.5':                 'job-info',
    '11.2.3.9.4.2.1.1.6.5.1':               'job-info-name1',
    '11.2.3.9.4.2.1.1.6.5.2':               'job-info-name2',
    '11.2.3.9.4.2.1.1.6.5.10':              'job-info-stage',
    '11.2.3.9.4.2.1.1.6.5.11':              'job-info-io-source',
    '11.2.3.9.4.2.1.1.6.5.12':              'job-info-pages-processed',
    '11.2.3.9.4.2.1.1.6.5.13':              'job-info-pages-printed',
    '11.2.3.9.4.2.1.1.6.5.14':              'job-info-size',
    '11.2.3.9.4.2.1.1.6.5.15':              'job-info-state',
    '11.2.3.9.4.2.1.1.6.5.19':              'job-info-outcome',
    '11.2.3.9.4.2.1.1.6.5.20':              'job-info-outbins-used',
    '11.2.3.9.4.2.1.1.6.5.22':              'job-info-physical-outbins-used',
    '11.2.3.9.4.2.1.1.6.5.23':              'job-info-attribute',
    '11.2.3.9.4.2.1.1.6.5.23.1':            'job-info-attr-1',
    '11.2.3.9.4.2.1.1.6.5.23.2':            'job-info-attr-2',
    '11.2.3.9.4.2.1.1.6.5.23.3':            'job-info-attr-3',
    '11.2.3.9.4.2.1.1.6.5.23.4':            'job-info-attr-4',
    '11.2.3.9.4.2.1.1.6.5.23.5':            'job-info-attr-5',
    '11.2.3.9.4.2.1.1.6.5.23.6':            'job-info-attr-6',
    '11.2.3.9.4.2.1.1.6.5.23.7':            'job-info-attr-7',
    '11.2.3.9.4.2.1.1.6.5.23.8':            'job-info-attr-8',
    '11.2.3.9.4.2.1.1.6.5.23.9':            'job-info-attr-9',
    '11.2.3.9.4.2.1.1.6.5.23.10':           'job-info-attr-10',
    '11.2.3.9.4.2.1.1.6.5.23.11':           'job-info-attr-11',
    '11.2.3.9.4.2.1.1.6.5.23.12':           'job-info-attr-12',
    '11.2.3.9.4.2.1.1.6.5.23.13':           'job-info-attr-13',
    '11.2.3.9.4.2.1.1.6.5.23.14':           'job-info-attr-14',
    '11.2.3.9.4.2.1.1.6.5.23.15':           'job-info-attr-15',
    '11.2.3.9.4.2.1.1.6.5.23.16':           'job-info-attr-16',
    '11.2.3.9.4.2.1.1.6.5.24':              'job-info-requested-originals',
    '11.2.3.9.4.2.1.1.6.5.25':              'job-info-page-count-current-original',
    '11.2.3.9.4.2.1.1.6.5.26':              'job-info-pages-in-original',
    '11.2.3.9.4.2.1.1.6.5.27':              'job-info-printed-originals',
    '11.2.3.9.4.2.1.1.6.5.28':              'job-info-accounting',
    '11.2.3.9.4.2.1.1.6.5.28.1':            'job-info-accounting-media-size',
    '11.2.3.9.4.2.1.1.6.5.28.2':            'job-info-accounting-media-type',
    '11.2.3.9.4.2.1.1.6.5.28.3':            'job-info-accounting-finishing-options',
    '11.2.3.9.4.2.1.1.6.5.28.4':            'job-info-accounting-media-simplex-count',
    '11.2.3.9.4.2.1.1.6.5.28.5':            'job-info-accounting-media-duplex-count',
    '11.2.3.9.4.2.1.1.6.5.28.6':            'job-info-accounting-grayscale-impression-count',
    '11.2.3.9.4.2.1.1.6.5.28.7':            'job-info-accounting-color-impression-count',
    '11.2.3.9.4.2.1.1.6.5.28.8':            'job-info-accounting-black-dots',
    '11.2.3.9.4.2.1.1.6.5.28.9':            'job-info-accounting-yellow-dots',
    '11.2.3.9.4.2.1.1.6.5.28.10':           'job-info-accounting-cyan-dots',
    '11.2.3.9.4.2.1.1.6.5.28.11':           'job-info-accounting-magenta-dots',
    '11.2.3.9.4.2.1.1.6.5.28.12':           'job-info-accounting-scanned-media-simplex-count',
    '11.2.3.9.4.2.1.1.6.5.28.13':           'job-info-accounting-scanned-media-duplex-count',
    '11.2.3.9.4.2.1.1.6.5.28.14':           'job-info-accounting-job-type',
    '11.2.3.9.4.2.1.1.6.7':                 'held-job',
    '11.2.3.9.4.2.1.1.6.7.1':               'held-job-info',
    '11.2.3.9.4.2.1.1.6.7.1.1':             'held-job-user-name',
    '11.2.3.9.4.2.1.1.6.7.1.2':             'held-job-job-name',
    '11.2.3.9.4.2.1.1.6.7.1.3':             'held-job-retention',
    '11.2.3.9.4.2.1.1.6.7.1.4':             'held-job-security',
    '11.2.3.9.4.2.1.1.6.7.1.5':             'held-job-quantity',
    '11.2.3.9.4.2.1.1.6.7.1.6':             'held-job-pin',
    '11.2.3.9.4.2.1.1.6.7.2':               'held-job-control',
    '11.2.3.9.4.2.1.1.6.7.2.1':             'held-job-print',
    '11.2.3.9.4.2.1.1.6.7.2.2':             'held-job-delete',
    '11.2.3.9.4.2.1.1.6.7.2.3':             'held-job-set-queue-size',
    '11.2.3.9.4.2.1.1.6.7.2.4':             'held-job-enable',
    '11.2.3.9.4.2.1.1.10':                  'file-system',
    '11.2.3.9.4.2.1.1.10.1':                'settings-file-system',
    '11.2.3.9.4.2.1.1.10.1.2':              'file-system-max-open-files',
    '11.2.3.9.4.2.1.1.10.1.6':              'file-system-set-system-partition-writeable',
    '11.2.3.9.4.2.1.1.10.1.7':              'file-system-set-system-partition-readonly',
    '11.2.3.9.4.2.1.1.10.1.8':              'file-system-delete-files',
    '11.2.3.9.4.2.1.1.10.3':                'file-systems',
    '11.2.3.9.4.2.1.1.10.3.2':              'file-system2',
    '11.2.3.9.4.2.1.1.10.3.2.6':            'file-system2-initialize-volume',
    '11.2.3.9.4.2.1.1.10.3.3':              'file-system3',
    '11.2.3.9.4.2.1.1.10.3.3.6':            'file-system3-initialize-volume',
    '11.2.3.9.4.2.1.1.10.3.4':              'file-system4',
    '11.2.3.9.4.2.1.1.10.3.4.6':            'file-system4-initialize-volume',
    '11.2.3.9.4.2.1.1.11':                  'errorlog',
    '11.2.3.9.4.2.1.1.11.1':                'error1',
    '11.2.3.9.4.2.1.1.11.1.1':              'error1-time-stamp',
    '11.2.3.9.4.2.1.1.11.1.2':              'error1-code',
    '11.2.3.9.4.2.1.1.11.2':                'error2',
    '11.2.3.9.4.2.1.1.11.2.1':              'error2-time-stamp',
    '11.2.3.9.4.2.1.1.11.2.2':              'error2-code',
    '11.2.3.9.4.2.1.1.11.3':                'error3',
    '11.2.3.9.4.2.1.1.11.3.1':              'error3-time-stamp',
    '11.2.3.9.4.2.1.1.11.3.2':              'error3-code',
    '11.2.3.9.4.2.1.1.11.4':                'error4',
    '11.2.3.9.4.2.1.1.11.4.1':              'error4-time-stamp',
    '11.2.3.9.4.2.1.1.11.4.2':              'error4-code',
    '11.2.3.9.4.2.1.1.11.5':                'error5',
    '11.2.3.9.4.2.1.1.11.5.1':              'error5-time-stamp',
    '11.2.3.9.4.2.1.1.11.5.2':              'error5-code',
    '11.2.3.9.4.2.1.1.11.6':                'error6',
    '11.2.3.9.4.2.1.1.11.6.1':              'error6-time-stamp',
    '11.2.3.9.4.2.1.1.11.6.2':              'error6-code',
    '11.2.3.9.4.2.1.1.11.7':                'error7',
    '11.2.3.9.4.2.1.1.11.7.1':              'error7-time-stamp',
    '11.2.3.9.4.2.1.1.11.7.2':              'error7-code',
    '11.2.3.9.4.2.1.1.11.8':                'error8',
    '11.2.3.9.4.2.1.1.11.8.1':              'error8-time-stamp',
    '11.2.3.9.4.2.1.1.11.8.2':              'error8-code',
    '11.2.3.9.4.2.1.1.11.9':                'error9',
    '11.2.3.9.4.2.1.1.11.9.1':              'error9-time-stamp',
    '11.2.3.9.4.2.1.1.11.9.2':              'error9-code',
    '11.2.3.9.4.2.1.1.11.10':               'error10',
    '11.2.3.9.4.2.1.1.11.10.1':             'error10-time-stamp',
    '11.2.3.9.4.2.1.1.11.10.2':             'error10-code',
    '11.2.3.9.4.2.1.1.11.11':               'error11',
    '11.2.3.9.4.2.1.1.11.11.1':             'error11-time-stamp',
    '11.2.3.9.4.2.1.1.11.11.2':             'error11-code',
    '11.2.3.9.4.2.1.1.11.12':               'error12',
    '11.2.3.9.4.2.1.1.11.12.1':             'error12-time-stamp',
    '11.2.3.9.4.2.1.1.11.12.2':             'error12-code',
    '11.2.3.9.4.2.1.1.11.13':               'error13',
    '11.2.3.9.4.2.1.1.11.13.1':             'error13-time-stamp',
    '11.2.3.9.4.2.1.1.11.13.2':             'error13-code',
    '11.2.3.9.4.2.1.1.11.14':               'error14',
    '11.2.3.9.4.2.1.1.11.14.1':             'error14-time-stamp',
    '11.2.3.9.4.2.1.1.11.14.2':             'error14-code',
    '11.2.3.9.4.2.1.1.11.15':               'error15',
    '11.2.3.9.4.2.1.1.11.15.1':             'error15-time-stamp',
    '11.2.3.9.4.2.1.1.11.15.2':             'error15-code',
    '11.2.3.9.4.2.1.1.11.16':               'error16',
    '11.2.3.9.4.2.1.1.11.16.1':             'error16-time-stamp',
    '11.2.3.9.4.2.1.1.11.16.2':             'error16-code',
    '11.2.3.9.4.2.1.1.11.17':               'error17',
    '11.2.3.9.4.2.1.1.11.17.1':             'error17-time-stamp',
    '11.2.3.9.4.2.1.1.11.17.2':             'error17-code',
    '11.2.3.9.4.2.1.1.11.18':               'error18',
    '11.2.3.9.4.2.1.1.11.18.1':             'error18-time-stamp',
    '11.2.3.9.4.2.1.1.11.18.2':             'error18-code',
    '11.2.3.9.4.2.1.1.11.19':               'error19',
    '11.2.3.9.4.2.1.1.11.19.1':             'error19-time-stamp',
    '11.2.3.9.4.2.1.1.11.19.2':             'error19-code',
    '11.2.3.9.4.2.1.1.11.20':               'error20',
    '11.2.3.9.4.2.1.1.11.20.1':             'error20-time-stamp',
    '11.2.3.9.4.2.1.1.11.20.2':             'error20-code',
    '11.2.3.9.4.2.1.1.11.21':               'error21',
    '11.2.3.9.4.2.1.1.11.21.1':             'error21-time-stamp',
    '11.2.3.9.4.2.1.1.11.21.2':             'error21-code',
    '11.2.3.9.4.2.1.1.11.22':               'error22',
    '11.2.3.9.4.2.1.1.11.22.1':             'error22-time-stamp',
    '11.2.3.9.4.2.1.1.11.22.2':             'error22-code',
    '11.2.3.9.4.2.1.1.11.23':               'error23',
    '11.2.3.9.4.2.1.1.11.23.1':             'error23-time-stamp',
    '11.2.3.9.4.2.1.1.11.23.2':             'error23-code',
    '11.2.3.9.4.2.1.1.11.24':               'error24',
    '11.2.3.9.4.2.1.1.11.24.1':             'error24-time-stamp',
    '11.2.3.9.4.2.1.1.11.24.2':             'error24-code',
    '11.2.3.9.4.2.1.1.11.25':               'error25',
    '11.2.3.9.4.2.1.1.11.25.1':             'error25-time-stamp',
    '11.2.3.9.4.2.1.1.11.25.2':             'error25-code',
    '11.2.3.9.4.2.1.1.11.26':               'error26',
    '11.2.3.9.4.2.1.1.11.26.1':             'error26-time-stamp',
    '11.2.3.9.4.2.1.1.11.26.2':             'error26-code',
    '11.2.3.9.4.2.1.1.11.27':               'error27',
    '11.2.3.9.4.2.1.1.11.27.1':             'error27-time-stamp',
    '11.2.3.9.4.2.1.1.11.27.2':             'error27-code',
    '11.2.3.9.4.2.1.1.11.28':               'error28',
    '11.2.3.9.4.2.1.1.11.28.1':             'error28-time-stamp',
    '11.2.3.9.4.2.1.1.11.28.2':             'error28-code',
    '11.2.3.9.4.2.1.1.11.29':               'error29',
    '11.2.3.9.4.2.1.1.11.29.1':             'error29-time-stamp',
    '11.2.3.9.4.2.1.1.11.29.2':             'error29-code',
    '11.2.3.9.4.2.1.1.11.30':               'error30',
    '11.2.3.9.4.2.1.1.11.30.1':             'error30-time-stamp',
    '11.2.3.9.4.2.1.1.11.30.2':             'error30-code',
    '11.2.3.9.4.2.1.1.11.31':               'error31',
    '11.2.3.9.4.2.1.1.11.31.1':             'error31-time-stamp',
    '11.2.3.9.4.2.1.1.11.31.2':             'error31-code',
    '11.2.3.9.4.2.1.1.11.32':               'error32',
    '11.2.3.9.4.2.1.1.11.32.1':             'error32-time-stamp',
    '11.2.3.9.4.2.1.1.11.32.2':             'error32-code',
    '11.2.3.9.4.2.1.1.11.33':               'error33',
    '11.2.3.9.4.2.1.1.11.33.1':             'error33-time-stamp',
    '11.2.3.9.4.2.1.1.11.33.2':             'error33-code',
    '11.2.3.9.4.2.1.1.11.34':               'error34',
    '11.2.3.9.4.2.1.1.11.34.1':             'error34-time-stamp',
    '11.2.3.9.4.2.1.1.11.34.2':             'error34-code',
    '11.2.3.9.4.2.1.1.11.35':               'error35',
    '11.2.3.9.4.2.1.1.11.35.1':             'error35-time-stamp',
    '11.2.3.9.4.2.1.1.11.35.2':             'error35-code',
    '11.2.3.9.4.2.1.1.11.36':               'error36',
    '11.2.3.9.4.2.1.1.11.36.1':             'error36-time-stamp',
    '11.2.3.9.4.2.1.1.11.36.2':             'error36-code',
    '11.2.3.9.4.2.1.1.11.37':               'error37',
    '11.2.3.9.4.2.1.1.11.37.1':             'error37-time-stamp',
    '11.2.3.9.4.2.1.1.11.37.2':             'error37-code',
    '11.2.3.9.4.2.1.1.11.38':               'error38',
    '11.2.3.9.4.2.1.1.11.38.1':             'error38-time-stamp',
    '11.2.3.9.4.2.1.1.11.38.2':             'error38-code',
    '11.2.3.9.4.2.1.1.11.39':               'error39',
    '11.2.3.9.4.2.1.1.11.39.1':             'error39-time-stamp',
    '11.2.3.9.4.2.1.1.11.39.2':             'error39-code',
    '11.2.3.9.4.2.1.1.11.40':               'error40',
    '11.2.3.9.4.2.1.1.11.40.1':             'error40-time-stamp',
    '11.2.3.9.4.2.1.1.11.40.2':             'error40-code',
    '11.2.3.9.4.2.1.1.11.41':               'error41',
    '11.2.3.9.4.2.1.1.11.41.1':             'error41-time-stamp',
    '11.2.3.9.4.2.1.1.11.41.2':             'error41-code',
    '11.2.3.9.4.2.1.1.11.42':               'error42',
    '11.2.3.9.4.2.1.1.11.42.1':             'error42-time-stamp',
    '11.2.3.9.4.2.1.1.11.42.2':             'error42-code',
    '11.2.3.9.4.2.1.1.11.43':               'error43',
    '11.2.3.9.4.2.1.1.11.43.1':             'error43-time-stamp',
    '11.2.3.9.4.2.1.1.11.43.2':             'error43-code',
    '11.2.3.9.4.2.1.1.11.44':               'error44',
    '11.2.3.9.4.2.1.1.11.44.1':             'error44-time-stamp',
    '11.2.3.9.4.2.1.1.11.44.2':             'error44-code',
    '11.2.3.9.4.2.1.1.11.45':               'error45',
    '11.2.3.9.4.2.1.1.11.45.1':             'error45-time-stamp',
    '11.2.3.9.4.2.1.1.11.45.2':             'error45-code',
    '11.2.3.9.4.2.1.1.11.46':               'error46',
    '11.2.3.9.4.2.1.1.11.46.1':             'error46-time-stamp',
    '11.2.3.9.4.2.1.1.11.46.2':             'error46-code',
    '11.2.3.9.4.2.1.1.11.47':               'error47',
    '11.2.3.9.4.2.1.1.11.47.1':             'error47-time-stamp',
    '11.2.3.9.4.2.1.1.11.47.2':             'error47-code',
    '11.2.3.9.4.2.1.1.11.48':               'error48',
    '11.2.3.9.4.2.1.1.11.48.1':             'error48-time-stamp',
    '11.2.3.9.4.2.1.1.11.48.2':             'error48-code',
    '11.2.3.9.4.2.1.1.11.49':               'error49',
    '11.2.3.9.4.2.1.1.11.49.1':             'error49-time-stamp',
    '11.2.3.9.4.2.1.1.11.49.2':             'error49-code',
    '11.2.3.9.4.2.1.1.11.50':               'error50',
    '11.2.3.9.4.2.1.1.11.50.1':             'error50-time-stamp',
    '11.2.3.9.4.2.1.1.11.50.2':             'error50-code',
    '11.2.3.9.4.2.1.1.12':                  'resource-manager',
    '11.2.3.9.4.2.1.1.12.3':                'mass-storage-resources',
    '11.2.3.9.4.2.1.1.12.3.1':              'mass-storage-resource-change-counter',
    '11.2.3.9.4.2.1.1.12.3.2':              'mass-storage-resource-changed',
    '11.2.3.9.4.2.1.1.13':                  'remote-procedure-call',
    '11.2.3.9.4.2.1.1.13.1':                'settings-rpc',
    '11.2.3.9.4.2.1.1.13.1.2':              'rpc-bind-protocol-address',
    '11.2.3.9.4.2.1.1.13.2':                'status-rpc',
    '11.2.3.9.4.2.1.1.13.2.3':              'rpc-bound-protocol-address',
    '11.2.3.9.4.2.1.1.15':                  'mass-storage-block-driver',
    '11.2.3.9.4.2.1.1.15.1':                'settings-mass-storage-bd',
    '11.2.3.9.4.2.1.1.15.1.1':              'ram-disk-mode',
    '11.2.3.9.4.2.1.1.15.1.2':              'ram-disk-size',
    '11.2.3.9.4.2.1.1.15.2':                'status-mass-storage-bd',
    '11.2.3.9.4.2.1.1.15.2.1':              'maximum-ram-disk-memory',
    '11.2.3.9.4.2.1.1.16':                  'accounting',
    '11.2.3.9.4.2.1.1.16.1':                'printer-accounting',
    '11.2.3.9.4.2.1.1.16.1.1':              'printed-media-usage',
    '11.2.3.9.4.2.1.1.16.1.1.1':            'printed-media-simplex-count',
    '11.2.3.9.4.2.1.1.16.1.1.2':            'printed-media-simplex-charge',
    '11.2.3.9.4.2.1.1.16.1.1.3':            'printed-media-duplex-count',
    '11.2.3.9.4.2.1.1.16.1.1.4':            'printed-media-duplex-charge',
    '11.2.3.9.4.2.1.1.16.1.1.5':            'printed-media-total-charge',
    '11.2.3.9.4.2.1.1.16.1.1.6':            'printed-media-maximum-pixels-per-page',
    '11.2.3.9.4.2.1.1.16.1.2':              'usage-printer-total-charge',
    '11.2.3.9.4.2.1.1.16.1.3':              'usage-average-toner-coverage',
    '11.2.3.9.4.2.1.1.16.1.4':              'usage-staple-count',
    '11.2.3.9.4.2.1.1.16.1.5':              'usage-instructions-line1',
    '11.2.3.9.4.2.1.1.16.1.6':              'usage-instructions-line2',
    '11.2.3.9.4.2.1.1.16.1.7':              'usage-instructions-line3',
    '11.2.3.9.4.2.1.1.16.1.8':              'usage-instructions-line4',
    '11.2.3.9.4.2.1.1.16.2':                'scanner-accounting',
    '11.2.3.9.4.2.1.1.16.2.1':              'scanned-media-usage',
    '11.2.3.9.4.2.1.1.16.2.1.1':            'scanned-media-simplex-count',
    '11.2.3.9.4.2.1.1.16.2.1.2':            'scanned-media-simplex-charge',
    '11.2.3.9.4.2.1.1.16.2.1.3':            'scanned-media-duplex-count',
    '11.2.3.9.4.2.1.1.16.2.1.4':            'scanned-media-duplex-charge',
    '11.2.3.9.4.2.1.1.16.2.1.5':            'scanned-media-total-charge',
    '11.2.3.9.4.2.1.1.16.2.2':              'usage-scanner-total-charge',
    '11.2.3.9.4.2.1.1.18':                  'firmware-download',
    '11.2.3.9.4.2.1.1.18.1':                'firmware-download-write-status-supported',
    '11.2.3.9.4.2.1.1.18.2':                'firmware-download-write-time',
    '11.2.3.9.4.2.1.1.18.3':                'firmware-download-write-count',
    '11.2.3.9.4.2.1.1.18.4':                'firmware-download-current-state',
    '11.2.3.9.4.2.1.1.18.5':                'firmware-download-maximum-write-count',
    '11.2.3.9.4.2.1.1.18.6':                'firmware-download-name',
    '11.2.3.9.4.2.1.1.18.7':                'firmware-download-version',
    '11.2.3.9.4.2.1.1.19':                  'operating-system',
    '11.2.3.9.4.2.1.1.19.1':                'os-execute-file',
    '11.2.3.9.4.2.1.1.20':                  'upgradable-devices',
    '11.2.3.9.4.2.1.1.20.1':                'upgradable-devices-write-status-supported',
    '11.2.3.9.4.2.1.1.20.2':                'upgradable-devices-write-time',
    '11.2.3.9.4.2.1.1.20.3':                'upgradable-devices-write-count',
    '11.2.3.9.4.2.1.1.20.4':                'upgradable-devices-current-state',
    '11.2.3.9.4.2.1.1.20.5':                'upgradable-devices-max-write-count',
    '11.2.3.9.4.2.1.1.20.6':                'upgradable-devices-name',
    '11.2.3.9.4.2.1.1.20.7':                'upgradable-devices-version',
    '11.2.3.9.4.2.1.1.20.8':                'remote-upgrade-enable',
    '11.2.3.9.4.2.1.2':                     'source-subsystem',
    '11.2.3.9.4.2.1.2.1':                   'io',
    '11.2.3.9.4.2.1.2.1.1':                 'settings-io',
    '11.2.3.9.4.2.1.2.1.1.1':               'io-timeout',
    '11.2.3.9.4.2.1.2.1.1.2':               'io-switch',
    '11.2.3.9.4.2.1.2.1.3':                 'ports',
    '11.2.3.9.4.2.1.2.1.3.1':               'port1',
    '11.2.3.9.4.2.1.2.1.3.1.4':             'port1-parallel-speed',
    '11.2.3.9.4.2.1.2.1.3.1.5':             'port1-parallel-bidirectionality',
    '11.2.3.9.4.2.1.2.2':                   'scanner',
    '11.2.3.9.4.2.1.2.2.1':                 'settings-scanner',
    '11.2.3.9.4.2.1.2.2.1.63':              'scanner-accessory-total-copy-pages-printed',
    '11.2.3.9.4.2.1.2.4':                   'spooler',
    '11.2.3.9.4.2.1.2.4.1':                 'settings-spooler',
    '11.2.3.9.4.2.1.2.4.1.1':               'mopy-mode',
    '11.2.3.9.4.2.1.3':                     'processing-subsystem',
    '11.2.3.9.4.2.1.3.3':                   'pdl',
    '11.2.3.9.4.2.1.3.3.1':                 'settings-pdl',
    '11.2.3.9.4.2.1.3.3.1.4':               'default-copies',
    '11.2.3.9.4.2.1.3.3.1.5':               'form-feed',
    '11.2.3.9.4.2.1.3.3.1.8':               'default-vertical-black-resolution',
    '11.2.3.9.4.2.1.3.3.1.9':               'default-horizontal-black-resolution',
    '11.2.3.9.4.2.1.3.3.1.10':              'default-page-protect',
    '11.2.3.9.4.2.1.3.3.1.11':              'default-lines-per-page',
    '11.2.3.9.4.2.1.3.3.1.12':              'default-vmi',
    '11.2.3.9.4.2.1.3.3.1.13':              'default-media-size',
    '11.2.3.9.4.2.1.3.3.1.19':              'cold-reset-media-size',
    '11.2.3.9.4.2.1.3.3.1.22':              'default-media-name',
    '11.2.3.9.4.2.1.3.3.1.36':              'reprint',
    '11.2.3.9.4.2.1.3.3.1.39':              'default-bits-per-pixel',
    '11.2.3.9.4.2.1.3.3.2':                 'status-pdl',
    '11.2.3.9.4.2.1.3.3.2.2':               'form-feed-needed',
    '11.2.3.9.4.2.1.3.3.3':                 'pdl-pcl',
    '11.2.3.9.4.2.1.3.3.3.5':               'pcl-total-page-count',
    '11.2.3.9.4.2.1.3.3.3.13':              'pcl-default-font-height',
    '11.2.3.9.4.2.1.3.3.3.14':              'pcl-default-font-source',
    '11.2.3.9.4.2.1.3.3.3.15':              'pcl-default-font-number',
    '11.2.3.9.4.2.1.3.3.3.16':              'pcl-default-font-width',
    '11.2.3.9.4.2.1.3.3.4':                 'pdl-postscript',
    '11.2.3.9.4.2.1.3.3.4.5':               'postscript-total-page-count',
    '11.2.3.9.4.2.1.3.3.4.11':              'postscript-print-errors',
    '11.2.3.9.4.2.1.3.5':                   'pjl',
    '11.2.3.9.4.2.1.3.5.1':                 'pjl-password',
    '11.2.3.9.4.2.1.3.9':                   'webserver-proc-sub',
    '11.2.3.9.4.2.1.3.9.1':                 'settings-webserver',
    '11.2.3.9.4.2.1.3.9.1.1':               'web-server-password',
    '11.2.3.9.4.2.1.3.9.1.2':               'web-server-url',
    '11.2.3.9.4.2.1.3.9.1.3':               'web-server-security',
    '11.2.3.9.4.2.1.4':                     'destination-subsystem',
    '11.2.3.9.4.2.1.4.1':                   'print-engine',
    '11.2.3.9.4.2.1.4.1.1':                 'settings-prt-eng',
    '11.2.3.9.4.2.1.4.1.1.2':               'override-media-name',
    '11.2.3.9.4.2.1.4.1.1.3':               'override-media-size',
    '11.2.3.9.4.2.1.4.1.1.5':               'print-density',
    '11.2.3.9.4.2.1.4.1.1.9':               'marking-agent-density',
    '11.2.3.9.4.2.1.4.1.1.9.1':             'marking-agent-density-setting',
    '11.2.3.9.4.2.1.4.1.2':                 'status-prt-eng',
    '11.2.3.9.4.2.1.4.1.2.22':              'duplex-page-count',
    '11.2.3.9.4.2.1.4.1.2.26':              'print-engine-revision',
    '11.2.3.9.4.2.1.4.1.3':                 'intray',
    '11.2.3.9.4.2.1.4.1.3.1':               'settings-intray',
    '11.2.3.9.4.2.1.4.1.3.1.5':             'mp-tray',
    '11.2.3.9.4.2.1.4.1.3.1.10':            'default-custom-paper-dim-unit',
    '11.2.3.9.4.2.1.4.1.3.1.11':            'default-custom-paper-feed-dim',
    '11.2.3.9.4.2.1.4.1.3.1.12':            'default-custom-paper-xfeed-dim',
    '11.2.3.9.4.2.1.4.1.3.1.14':            'input-tray-max-media-feed-dim',
    '11.2.3.9.4.2.1.4.1.3.1.15':            'input-tray-max-media-xfeed-dim',
    '11.2.3.9.4.2.1.4.1.3.1.16':            'input-tray-min-media-feed-dim',
    '11.2.3.9.4.2.1.4.1.3.1.17':            'input-tray-min-media-xfeed-dim',
    '11.2.3.9.4.2.1.4.1.3.3':               'intrays',
    '11.2.3.9.4.2.1.4.1.3.3.1':             'intray1',
    '11.2.3.9.4.2.1.4.1.3.3.1.1':           'tray1-media-size-loaded',
    '11.2.3.9.4.2.1.4.1.3.3.1.12':          'tray1-phd',
    '11.2.3.9.4.2.1.4.1.3.3.2':             'intray2',
    '11.2.3.9.4.2.1.4.1.3.3.2.1':           'tray2-media-size-loaded',
    '11.2.3.9.4.2.1.4.1.3.3.2.12':          'tray2-phd',
    '11.2.3.9.4.2.1.4.1.3.3.3':             'intray3',
    '11.2.3.9.4.2.1.4.1.3.3.3.1':           'tray3-media-size-loaded',
    '11.2.3.9.4.2.1.4.1.3.3.3.12':          'tray3-phd',
    '11.2.3.9.4.2.1.4.1.3.3.6':             'intray6',
    '11.2.3.9.4.2.1.4.1.3.3.6.1':           'tray6-media-size-loaded',
    '11.2.3.9.4.2.1.4.1.3.3.6.12':          'tray6-phd',
    '11.2.3.9.4.2.1.4.1.3.3.7':             'intray7',
    '11.2.3.9.4.2.1.4.1.3.3.7.1':           'tray7-media-size-loaded',
    '11.2.3.9.4.2.1.4.1.3.3.7.12':          'tray7-phd',
    '11.2.3.9.4.2.1.4.1.4':                 'outbin',
    '11.2.3.9.4.2.1.4.1.4.1':               'settings-outbin',
    '11.2.3.9.4.2.1.4.1.4.1.4':             'overflow-bin',
    '11.2.3.9.4.2.1.4.1.4.3':               'outbins',
    '11.2.3.9.4.2.1.4.1.4.3.1':             'outbin1',
    '11.2.3.9.4.2.1.4.1.4.3.1.9':           'outbin1-override-mode',
    '11.2.3.9.4.2.1.4.1.4.3.3':             'outbin3',
    '11.2.3.9.4.2.1.4.1.4.3.3.9':           'outbin3-override-mode',
    '11.2.3.9.4.2.1.4.1.4.3.3.10':          'outbin3-maximum-binding',
    '11.2.3.9.4.2.1.4.1.4.3.3.11':          'outbin3-phd',
    '11.2.3.9.4.2.1.4.1.4.3.3.12':          'outbin3-error-info',
    '11.2.3.9.4.2.1.4.1.4.3.4':             'outbin4',
    '11.2.3.9.4.2.1.4.1.4.3.4.9':           'outbin4-override-mode',
    '11.2.3.9.4.2.1.4.1.4.3.4.10':          'outbin4-maximum-binding',
    '11.2.3.9.4.2.1.4.1.4.3.4.11':          'outbin4-phd',
    '11.2.3.9.4.2.1.4.1.4.3.4.12':          'outbin4-error-info',
    '11.2.3.9.4.2.1.4.1.4.3.5':             'outbin5',
    '11.2.3.9.4.2.1.4.1.4.3.5.9':           'outbin5-override-mode',
    '11.2.3.9.4.2.1.4.1.4.3.5.10':          'outbin5-maximum-binding',
    '11.2.3.9.4.2.1.4.1.4.3.5.11':          'outbin5-phd',
    '11.2.3.9.4.2.1.4.1.4.3.5.12':          'outbin5-error-info',
    '11.2.3.9.4.2.1.4.1.4.3.6':             'outbin6',
    '11.2.3.9.4.2.1.4.1.4.3.6.9':           'outbin6-override-mode',
    '11.2.3.9.4.2.1.4.1.4.3.6.10':          'outbin6-maximum-binding',
    '11.2.3.9.4.2.1.4.1.4.3.6.11':          'outbin6-phd',
    '11.2.3.9.4.2.1.4.1.4.3.6.12':          'outbin6-error-info',
    '11.2.3.9.4.2.1.4.1.4.3.7':             'outbin7',
    '11.2.3.9.4.2.1.4.1.4.3.7.9':           'outbin7-override-mode',
    '11.2.3.9.4.2.1.4.1.4.3.7.10':          'outbin7-maximum-binding',
    '11.2.3.9.4.2.1.4.1.4.3.7.11':          'outbin7-phd',
    '11.2.3.9.4.2.1.4.1.4.3.7.12':          'outbin7-error-info',
    '11.2.3.9.4.2.1.4.1.4.3.8':             'outbin8',
    '11.2.3.9.4.2.1.4.1.4.3.8.9':           'outbin8-override-mode',
    '11.2.3.9.4.2.1.4.1.4.3.8.10':          'outbin8-maximum-binding',
    '11.2.3.9.4.2.1.4.1.4.3.8.11':          'outbin8-phd',
    '11.2.3.9.4.2.1.4.1.4.3.8.12':          'outbin8-error-info',
    '11.2.3.9.4.2.1.4.1.4.3.9':             'outbin9',
    '11.2.3.9.4.2.1.4.1.4.3.9.9':           'outbin9-override-mode',
    '11.2.3.9.4.2.1.4.1.4.3.9.10':          'outbin9-maximum-binding',
    '11.2.3.9.4.2.1.4.1.4.3.9.11':          'outbin9-phd',
    '11.2.3.9.4.2.1.4.1.4.3.9.12':          'outbin9-error-info',
    '11.2.3.9.4.2.1.4.1.4.3.10':            'outbin10',
    '11.2.3.9.4.2.1.4.1.4.3.10.9':          'outbin10-override-mode',
    '11.2.3.9.4.2.1.4.1.4.3.10.10':         'outbin10-maximum-binding',
    '11.2.3.9.4.2.1.4.1.4.3.10.11':         'outbin10-phd',
    '11.2.3.9.4.2.1.4.1.4.3.10.12':         'outbin10-error-info',
    '11.2.3.9.4.2.1.4.1.4.3.11':            'outbin11',
    '11.2.3.9.4.2.1.4.1.4.3.11.9':          'outbin11-override-mode',
    '11.2.3.9.4.2.1.4.1.4.3.11.10':         'outbin11-maximum-binding',
    '11.2.3.9.4.2.1.4.1.4.3.11.11':         'outbin11-phd',
    '11.2.3.9.4.2.1.4.1.4.3.11.12':         'outbin11-error-info',
    '11.2.3.9.4.2.1.4.1.4.3.12':            'outbin12',
    '11.2.3.9.4.2.1.4.1.4.3.12.9':          'outbin12-override-mode',
    '11.2.3.9.4.2.1.4.1.4.3.12.10':         'outbin12-maximum-binding',
    '11.2.3.9.4.2.1.4.1.4.3.12.11':         'outbin12-phd',
    '11.2.3.9.4.2.1.4.1.4.3.12.12':         'outbin12-error-info',
    '11.2.3.9.4.2.1.4.1.5':                 'marking-agent',
    '11.2.3.9.4.2.1.4.1.5.1':               'settings-marking-agent',
    '11.2.3.9.4.2.1.4.1.5.1.3':             'low-marking-agent-processing',
    '11.2.3.9.4.2.1.4.1.5.1.10':            'out-marking-agent-processing',
    '11.2.3.9.4.2.1.4.1.6':                 'imaging',
    '11.2.3.9.4.2.1.4.1.6.5':               'default-ret',
    '11.2.3.9.4.2.1.4.1.6.7':               'default-print-quality',
    '11.2.3.9.4.2.1.4.1.7':                 'ph',
    '11.2.3.9.4.2.1.4.1.7.3':               'ph-devices',
    '11.2.3.9.4.2.1.4.1.7.3.2':             'ph2',
    '11.2.3.9.4.2.1.4.1.7.3.2.2':           'phd2-device-specific-command',
    '11.2.3.9.4.2.1.4.1.7.3.3':             'ph3',
    '11.2.3.9.4.2.1.4.1.7.3.3.2':           'phd3-device-specific-command',
    '11.2.3.9.4.2.1.4.1.7.3.4':             'ph4',
    '11.2.3.9.4.2.1.4.1.7.3.4.2':           'phd4-device-specific-command',
    '11.2.3.9.4.2.1.4.1.7.3.5':             'ph5',
    '11.2.3.9.4.2.1.4.1.7.3.5.2':           'phd5-device-specific-command',
    '11.2.3.9.4.2.1.4.1.7.3.6':             'ph6',
    '11.2.3.9.4.2.1.4.1.7.3.6.2':           'phd6-device-specific-command',
    '11.2.3.9.4.2.1.4.1.8':                 'print-media',
    '11.2.3.9.4.2.1.4.1.8.1':               'settings-print-media',
    '11.2.3.9.4.2.1.4.1.8.1.1':             'media-names-available',
    '11.2.3.9.4.2.1.4.1.8.1.2':             'north-edge-offset',
    '11.2.3.9.4.2.1.4.1.8.3':               'media-info',
    '11.2.3.9.4.2.1.4.1.8.3.1':             'media1',
    '11.2.3.9.4.2.1.4.1.8.3.1.1':           'media1-name',
    '11.2.3.9.4.2.1.4.1.8.3.1.2':           'media1-short-name',
    '11.2.3.9.4.2.1.4.1.8.3.1.3':           'media1-page-count',
    '11.2.3.9.4.2.1.4.1.8.3.1.4':           'media1-engine-media-mode',
    '11.2.3.9.4.2.1.4.1.8.3.2':             'media2',
    '11.2.3.9.4.2.1.4.1.8.3.2.1':           'media2-name',
    '11.2.3.9.4.2.1.4.1.8.3.2.2':           'media2-short-name',
    '11.2.3.9.4.2.1.4.1.8.3.2.3':           'media2-page-count',
    '11.2.3.9.4.2.1.4.1.8.3.2.4':           'media2-engine-media-mode',
    '11.2.3.9.4.2.1.4.1.8.3.3':             'media3',
    '11.2.3.9.4.2.1.4.1.8.3.3.1':           'media3-name',
    '11.2.3.9.4.2.1.4.1.8.3.3.2':           'media3-short-name',
    '11.2.3.9.4.2.1.4.1.8.3.3.3':           'media3-page-count',
    '11.2.3.9.4.2.1.4.1.8.3.3.4':           'media3-engine-media-mode',
    '11.2.3.9.4.2.1.4.1.8.3.4':             'media4',
    '11.2.3.9.4.2.1.4.1.8.3.4.1':           'media4-name',
    '11.2.3.9.4.2.1.4.1.8.3.4.2':           'media4-short-name',
    '11.2.3.9.4.2.1.4.1.8.3.4.3':           'media4-page-count',
    '11.2.3.9.4.2.1.4.1.8.3.4.4':           'media4-engine-media-mode',
    '11.2.3.9.4.2.1.4.1.8.3.5':             'media5',
    '11.2.3.9.4.2.1.4.1.8.3.5.1':           'media5-name',
    '11.2.3.9.4.2.1.4.1.8.3.5.2':           'media5-short-name',
    '11.2.3.9.4.2.1.4.1.8.3.5.3':           'media5-page-count',
    '11.2.3.9.4.2.1.4.1.8.3.5.4':           'media5-engine-media-mode',
    '11.2.3.9.4.2.1.4.1.8.3.6':             'media6',
    '11.2.3.9.4.2.1.4.1.8.3.6.1':           'media6-name',
    '11.2.3.9.4.2.1.4.1.8.3.6.2':           'media6-short-name',
    '11.2.3.9.4.2.1.4.1.8.3.6.3':           'media6-page-count',
    '11.2.3.9.4.2.1.4.1.8.3.6.4':           'media6-engine-media-mode',
    '11.2.3.9.4.2.1.4.1.8.3.7':             'media7',
    '11.2.3.9.4.2.1.4.1.8.3.7.1':           'media7-name',
    '11.2.3.9.4.2.1.4.1.8.3.7.2':           'media7-short-name',
    '11.2.3.9.4.2.1.4.1.8.3.7.3':           'media7-page-count',
    '11.2.3.9.4.2.1.4.1.8.3.7.4':           'media7-engine-media-mode',
    '11.2.3.9.4.2.1.4.1.8.3.8':             'media8',
    '11.2.3.9.4.2.1.4.1.8.3.8.1':           'media8-name',
    '11.2.3.9.4.2.1.4.1.8.3.8.2':           'media8-short-name',
    '11.2.3.9.4.2.1.4.1.8.3.8.3':           'media8-page-count',
    '11.2.3.9.4.2.1.4.1.8.3.8.4':           'media8-engine-media-mode',
    '11.2.3.9.4.2.1.4.1.8.3.9':             'media9',
    '11.2.3.9.4.2.1.4.1.8.3.9.1':           'media9-name',
    '11.2.3.9.4.2.1.4.1.8.3.9.2':           'media9-short-name',
    '11.2.3.9.4.2.1.4.1.8.3.9.3':           'media9-page-count',
    '11.2.3.9.4.2.1.4.1.8.3.9.4':           'media9-engine-media-mode',
    '11.2.3.9.4.2.1.4.1.8.3.10':            'media10',
    '11.2.3.9.4.2.1.4.1.8.3.10.1':          'media10-name',
    '11.2.3.9.4.2.1.4.1.8.3.10.2':          'media10-short-name',
    '11.2.3.9.4.2.1.4.1.8.3.10.3':          'media10-page-count',
    '11.2.3.9.4.2.1.4.1.8.3.10.4':          'media10-engine-media-mode',
    '11.2.3.9.4.2.1.4.1.8.3.11':            'media11',
    '11.2.3.9.4.2.1.4.1.8.3.11.1':          'media11-name',
    '11.2.3.9.4.2.1.4.1.8.3.11.2':          'media11-short-name',
    '11.2.3.9.4.2.1.4.1.8.3.11.3':          'media11-page-count',
    '11.2.3.9.4.2.1.4.1.8.3.11.4':          'media11-engine-media-mode',
    '11.2.3.9.4.2.1.4.1.8.3.15':            'media15',
    '11.2.3.9.4.2.1.4.1.8.3.15.1':          'media15-name',
    '11.2.3.9.4.2.1.4.1.8.3.15.2':          'media15-short-name',
    '11.2.3.9.4.2.1.4.1.8.3.15.3':          'media15-page-count',
    '11.2.3.9.4.2.1.4.1.8.3.15.4':          'media15-engine-media-mode',
    '11.2.3.9.4.2.1.4.1.8.3.16':            'media16',
    '11.2.3.9.4.2.1.4.1.8.3.16.1':          'media16-name',
    '11.2.3.9.4.2.1.4.1.8.3.16.2':          'media16-short-name',
    '11.2.3.9.4.2.1.4.1.8.3.16.3':          'media16-page-count',
    '11.2.3.9.4.2.1.4.1.8.3.16.4':          'media16-engine-media-mode',
    '11.2.3.9.4.2.1.4.1.8.3.17':            'media17',
    '11.2.3.9.4.2.1.4.1.8.3.17.1':          'media17-name',
    '11.2.3.9.4.2.1.4.1.8.3.17.2':          'media17-short-name',
    '11.2.3.9.4.2.1.4.1.8.3.17.3':          'media17-page-count',
    '11.2.3.9.4.2.1.4.1.8.3.17.4':          'media17-engine-media-mode',
    '11.2.3.9.4.2.1.4.1.8.3.18':            'media18',
    '11.2.3.9.4.2.1.4.1.8.3.18.1':          'media18-name',
    '11.2.3.9.4.2.1.4.1.8.3.18.2':          'media18-short-name',
    '11.2.3.9.4.2.1.4.1.8.3.18.3':          'media18-page-count',
    '11.2.3.9.4.2.1.4.1.8.3.18.4':          'media18-engine-media-mode',
    '11.2.3.9.4.2.1.4.1.8.3.19':            'media19',
    '11.2.3.9.4.2.1.4.1.8.3.19.1':          'media19-name',
    '11.2.3.9.4.2.1.4.1.8.3.19.2':          'media19-short-name',
    '11.2.3.9.4.2.1.4.1.8.3.19.3':          'media19-page-count',
    '11.2.3.9.4.2.1.4.1.8.3.19.4':          'media19-engine-media-mode',
    '11.2.3.9.4.2.1.4.1.8.4':               'media-modes',
    '11.2.3.9.4.2.1.4.1.8.4.1':             'engine-media-modes-supported1',
    '11.2.3.9.4.2.1.4.1.8.5':               'media-size',
    '11.2.3.9.4.2.1.4.1.8.5.1':             'media-size-count',
    '11.2.3.9.4.2.1.4.1.8.5.2':             'media-size-west-edge-first-side-offset',
    '11.2.3.9.4.2.1.4.1.8.5.3':             'media-size-west-edge-second-side-offset',
    '11.2.3.9.4.2.1.4.1.8.5.4':             'media-size-west-edge-side-offset-by-tray',
    '11.2.3.9.4.2.1.4.1.10':                'consumables',
    '11.2.3.9.4.2.1.4.1.10.1':              'consumables-1',
    '11.2.3.9.4.2.1.4.1.10.1.1':            'consumable-status',
    '11.2.3.9.4.2.1.4.1.10.1.1.1':          'consumable-status-cartridge-model',
    '11.2.3.9.4.2.1.4.1.10.1.1.2':          'consumable-status-manufacturing-date',
    '11.2.3.9.4.2.1.4.1.10.1.1.3':          'consumable-status-serial-number',
    '11.2.3.9.4.2.1.4.1.10.1.1.4':          'consumable-status-capacity-units',
    '11.2.3.9.4.2.1.4.1.10.1.1.5':          'consumable-status-total-capacity',
    '11.2.3.9.4.2.1.4.1.10.1.1.6':          'consumable-status-reseller-id',
    '11.2.3.9.4.2.1.4.1.10.1.1.7':          'consumable-status-info',
    '11.2.3.9.4.2.1.4.1.10.1.1.8':          'consumable-status-first-install-date',
    '11.2.3.9.4.2.1.4.1.10.1.1.9':          'consumable-status-last-use-date',
    '11.2.3.9.4.2.1.4.1.10.1.1.10':         'consumable-status-page-count-a3-ledger',
    '11.2.3.9.4.2.1.4.1.10.1.1.11':         'consumable-status-page-count-legal',
    '11.2.3.9.4.2.1.4.1.10.1.1.12':         'consumable-status-page-count-a4-letter',
    '11.2.3.9.4.2.1.4.1.10.1.1.13':         'consumable-status-page-count-b5-executive',
    '11.2.3.9.4.2.1.4.1.10.1.1.14':         'consumable-status-page-count-envelope',
    '11.2.3.9.4.2.1.4.1.10.1.1.15':         'consumable-status-page-count-xy-other',
    '11.2.3.9.4.2.1.4.1.10.1.1.16':         'consumable-status-job-count',
    '11.2.3.9.4.2.1.4.1.10.1.1.17':         'consumable-status-usage-units',
    '11.2.3.9.4.2.1.4.1.10.1.1.18':         'consumable-status-usage-count',
    '11.2.3.9.4.2.1.4.1.10.1.1.19':         'consumable-status-manufacturer-name',
    '11.2.3.9.4.2.1.4.1.10.1.1.20':         'consumable-status-oem-name',
    '11.2.3.9.4.2.1.4.1.10.2':              'consumable-reorder-url',
    '11.2.3.9.4.2.1.4.1.10.3':              'consumable-maintenance-interval',
    '11.2.3.9.4.2.1.4.1.10.4':              'consumable-maintenance-pages-remaining',
    '11.2.3.9.4.2.1.4.1.10.5':              'consumables-status',
    '11.2.3.9.4.2.1.4.1.10.5.1':            'consumables-life',
    '11.2.3.9.4.2.1.4.1.10.5.1.1':          'consumable-life-usage-units-remaining',
    '11.2.3.9.4.2.1.4.1.10.5.1.2':          'consumable-life-usage-units',
    '11.2.3.9.4.2.1.4.1.11':                'print-meter',
    '11.2.3.9.4.2.1.4.1.11.1':              'printer-average',
    '11.2.3.9.4.2.1.4.1.11.1.1':            'printer-average-marking-agent-coverage',
    '11.2.3.9.4.2.1.4.1.11.1.2':            'printer-average-marking-agent-coverage-sum',
    '11.2.3.9.4.2.1.4.1.11.1.3':            'printer-average-marking-agent-coverage-sum-squared',
    '11.2.3.9.4.2.1.4.1.11.1.4':            'printer-average-marking-agent-units-per-gram',
    '11.2.3.9.4.2.1.6':                     'channel',
    '11.2.3.9.4.2.1.6.1':                   'channelnumberofchannels',
    '11.2.3.9.4.2.1.6.2':                   'channelprinteralert',
    '11.2.3.9.4.2.1.6.3':                   'channelTable',
    '11.2.3.9.4.2.1.6.3.1':                 'channelEntry',
    '11.2.3.9.4.2.1.6.3.1.2':               'channeltype',
    '11.2.3.9.4.2.1.6.3.1.3':               'channelprotocolversion',
    '11.2.3.9.4.2.1.6.3.1.4':               'channelstate',
    '11.2.3.9.4.2.1.6.3.1.5':               'channelifindex',
    '11.2.3.9.4.2.1.6.3.1.6':               'channelstatus',
    '11.2.3.9.4.2.1.6.3.1.7':               'channelinformation',
    '11.2.3.9.4.2.1.7':                     'tables',
    '11.2.3.9.4.2.1.7.2':                   'channel-table',
    '11.2.3.9.4.2.1.7.2.1':                 'channel-entry',
    '11.2.3.9.4.2.1.7.2.1.2':               'channel-bytes-sent',
    '11.2.3.9.4.2.1.7.2.1.3':               'channel-bytes-received',
    '11.2.3.9.4.2.1.7.2.1.4':               'channel-io-errors',
    '11.2.3.9.4.2.1.7.2.1.5':               'channel-jobs-received',
    '11.2.3.9.4.2.1.7.2.1.6':               'channel-mio',
    '11.2.3.9.4.2.2':                       'printmib',
    '11.2.3.9.4.2.2.5':                     'prtGeneral',
    '11.2.3.9.4.2.2.5.1':                   'prtGeneralTable',
    '11.2.3.9.4.2.2.5.1.1':                 'prtGeneralEntry',
    '11.2.3.9.4.2.2.5.1.1.1':               'prtgeneralconfigchanges',
    '11.2.3.9.4.2.2.5.1.1.2':               'prtgeneralcurrentlocalization',
    '11.2.3.9.4.2.2.5.1.1.3':               'prtgeneralreset',
    '11.2.3.9.4.2.2.5.1.1.4':               'prtgeneralcurrentoperator',
    '11.2.3.9.4.2.2.5.1.1.5':               'prtgeneralserviceperson',
    '11.2.3.9.4.2.2.5.1.1.6':               'prtinputdefaultindex',
    '11.2.3.9.4.2.2.5.1.1.7':               'prtoutputdefaultindex',
    '11.2.3.9.4.2.2.5.1.1.8':               'prtmarkerdefaultindex',
    '11.2.3.9.4.2.2.5.1.1.9':               'prtmediapathdefaultindex',
    '11.2.3.9.4.2.2.5.1.1.10':              'prtconsolelocalization',
    '11.2.3.9.4.2.2.5.1.1.11':              'prtconsolenumberofdisplaylines',
    '11.2.3.9.4.2.2.5.1.1.12':              'prtconsolenumberofdisplaychars',
    '11.2.3.9.4.2.2.5.1.1.13':              'prtconsoledisable',
    '11.2.3.9.4.2.2.5.1.1.14':              'prtgeneralstartuppage',
    '11.2.3.9.4.2.2.5.1.1.15':              'prtgeneralbannerpage',
    '11.2.3.9.4.2.2.5.1.1.16':              'prtgeneralprintername',
    '11.2.3.9.4.2.2.5.1.1.17':              'prtgeneralserialnumber',
    '11.2.3.9.4.2.2.5.1.1.18':              'prtalertcriticalevents',
    '11.2.3.9.4.2.2.5.1.1.19':              'prtalertallevents',
    '11.2.3.9.4.2.2.5.2':                   'prtStorageRefTable',
    '11.2.3.9.4.2.2.5.2.1':                 'prtStorageRefEntry',
    '11.2.3.9.4.2.2.5.2.1.2':               'prtstoragerefindex',
    '11.2.3.9.4.2.2.5.3':                   'prtDeviceRefTable',
    '11.2.3.9.4.2.2.5.3.1':                 'prtDeviceRefEntry',
    '11.2.3.9.4.2.2.5.3.1.2':               'prtdevicerefindex',
    '11.2.3.9.4.2.2.6':                     'prtCover',
    '11.2.3.9.4.2.2.6.1':                   'prtCoverTable',
    '11.2.3.9.4.2.2.6.1.1':                 'prtCoverEntry',
    '11.2.3.9.4.2.2.6.1.1.2':               'prtcoverdescription',
    '11.2.3.9.4.2.2.6.1.1.3':               'prtcoverstatus',
    '11.2.3.9.4.2.2.7':                     'prtLocalization',
    '11.2.3.9.4.2.2.7.1':                   'prtLocalizationTable',
    '11.2.3.9.4.2.2.7.1.1':                 'prtLocalizationEntry',
    '11.2.3.9.4.2.2.7.1.1.2':               'prtlocalizationlanguage',
    '11.2.3.9.4.2.2.7.1.1.3':               'prtlocalizationcountry',
    '11.2.3.9.4.2.2.7.1.1.4':               'prtlocalizationcharacterset',
    '11.2.3.9.4.2.2.8':                     'prtInput',
    '11.2.3.9.4.2.2.8.2':                   'prtInputTable',
    '11.2.3.9.4.2.2.8.2.1':                 'prtInputEntry',
    '11.2.3.9.4.2.2.8.2.1.2':               'prtinputtype',
    '11.2.3.9.4.2.2.8.2.1.3':               'prtinputdimunit',
    '11.2.3.9.4.2.2.8.2.1.4':               'prtinputmediadimfeeddirdeclared',
    '11.2.3.9.4.2.2.8.2.1.5':               'prtinputmediadimxfeeddirdeclared',
    '11.2.3.9.4.2.2.8.2.1.6':               'prtinputmediadimfeeddirchosen',
    '11.2.3.9.4.2.2.8.2.1.7':               'prtinputmediadimxfeeddirchosen',
    '11.2.3.9.4.2.2.8.2.1.8':               'prtinputcapacityunit',
    '11.2.3.9.4.2.2.8.2.1.9':               'prtinputmaxcapacity',
    '11.2.3.9.4.2.2.8.2.1.10':              'prtinputcurrentlevel',
    '11.2.3.9.4.2.2.8.2.1.11':              'prtinputstatus',
    '11.2.3.9.4.2.2.8.2.1.12':              'prtinputmedianame',
    '11.2.3.9.4.2.2.8.2.1.13':              'prtinputname',
    '11.2.3.9.4.2.2.8.2.1.14':              'prtinputvendorname',
    '11.2.3.9.4.2.2.8.2.1.15':              'prtinputmodel',
    '11.2.3.9.4.2.2.8.2.1.16':              'prtinputversion',
    '11.2.3.9.4.2.2.8.2.1.17':              'prtinputserialnumber',
    '11.2.3.9.4.2.2.8.2.1.18':              'prtinputdescription',
    '11.2.3.9.4.2.2.8.2.1.19':              'prtinputsecurity',
    '11.2.3.9.4.2.2.8.2.1.24':              'prtinputmedialoadtimeout',
    '11.2.3.9.4.2.2.8.2.1.26':              'prtinputnextindex',
    '11.2.3.9.4.2.2.9':                     'prtOutput',
    '11.2.3.9.4.2.2.9.2':                   'prtOutputTable',
    '11.2.3.9.4.2.2.9.2.1':                 'prtOutputEntry',
    '11.2.3.9.4.2.2.9.2.1.2':               'prtoutputtype',
    '11.2.3.9.4.2.2.9.2.1.3':               'prtoutputcapacityunit',
    '11.2.3.9.4.2.2.9.2.1.4':               'prtoutputmaxcapacity',
    '11.2.3.9.4.2.2.9.2.1.5':               'prtoutputremainingcapacity',
    '11.2.3.9.4.2.2.9.2.1.6':               'prtoutputstatus',
    '11.2.3.9.4.2.2.9.2.1.7':               'prtoutputname',
    '11.2.3.9.4.2.2.9.2.1.8':               'prtoutputvendorname',
    '11.2.3.9.4.2.2.9.2.1.9':               'prtoutputmodel',
    '11.2.3.9.4.2.2.9.2.1.10':              'prtoutputversion',
    '11.2.3.9.4.2.2.9.2.1.11':              'prtoutputserialnumber',
    '11.2.3.9.4.2.2.9.2.1.12':              'prtoutputdescription',
    '11.2.3.9.4.2.2.9.2.1.13':              'prtoutputsecurity',
    '11.2.3.9.4.2.2.9.2.1.14':              'prtoutputdimunit',
    '11.2.3.9.4.2.2.9.2.1.15':              'prtoutputmaxdimfeeddir',
    '11.2.3.9.4.2.2.9.2.1.16':              'prtoutputmaxdimxfeeddir',
    '11.2.3.9.4.2.2.9.2.1.17':              'prtoutputmindimfeeddir',
    '11.2.3.9.4.2.2.9.2.1.18':              'prtoutputmindimxfeeddir',
    '11.2.3.9.4.2.2.9.2.1.19':              'prtoutputstackingorder',
    '11.2.3.9.4.2.2.9.2.1.20':              'prtoutputpagedeliveryorientation',
    '11.2.3.9.4.2.2.9.2.1.21':              'prtoutputbursting',
    '11.2.3.9.4.2.2.9.2.1.22':              'prtoutputdecollating',
    '11.2.3.9.4.2.2.9.2.1.23':              'prtoutputpagecollated',
    '11.2.3.9.4.2.2.9.2.1.24':              'prtoutputoffsetstacking',
    '11.2.3.9.4.2.2.10':                    'prtMarker',
    '11.2.3.9.4.2.2.10.2':                  'prtMarkerTable',
    '11.2.3.9.4.2.2.10.2.1':                'prtMarkerEntry',
    '11.2.3.9.4.2.2.10.2.1.2':              'prtmarkermarktech',
    '11.2.3.9.4.2.2.10.2.1.3':              'prtmarkercounterunit',
    '11.2.3.9.4.2.2.10.2.1.4':              'prtmarkerlifecount',
    '11.2.3.9.4.2.2.10.2.1.5':              'prtmarkerpoweroncount',
    '11.2.3.9.4.2.2.10.2.1.6':              'prtmarkerprocesscolorants',
    '11.2.3.9.4.2.2.10.2.1.7':              'prtmarkerspotcolorants',
    '11.2.3.9.4.2.2.10.2.1.8':              'prtmarkeraddressabilityunit',
    '11.2.3.9.4.2.2.10.2.1.9':              'prtmarkeraddressabilityfeeddir',
    '11.2.3.9.4.2.2.10.2.1.10':             'prtmarkeraddressabilityxfeeddir',
    '11.2.3.9.4.2.2.10.2.1.11':             'prtmarkernorthmargin',
    '11.2.3.9.4.2.2.10.2.1.12':             'prtmarkersouthmargin',
    '11.2.3.9.4.2.2.10.2.1.13':             'prtmarkerwestmargin',
    '11.2.3.9.4.2.2.10.2.1.14':             'prtmarkereastmargin',
    '11.2.3.9.4.2.2.10.2.1.15':             'prtmarkerstatus',
    '11.2.3.9.4.2.2.11':                    'prtMarkerSupplies',
    '11.2.3.9.4.2.2.11.1':                  'prtMarkerSuppliesTable',
    '11.2.3.9.4.2.2.11.1.1':                'prtMarkerSuppliesEntry',
    '11.2.3.9.4.2.2.11.1.1.2':              'prtmarkersuppliesmarkerindex',
    '11.2.3.9.4.2.2.11.1.1.3':              'prtmarkersuppliescolorantindex',
    '11.2.3.9.4.2.2.11.1.1.4':              'prtmarkersuppliesclass',
    '11.2.3.9.4.2.2.11.1.1.5':              'prtmarkersuppliestype',
    '11.2.3.9.4.2.2.11.1.1.6':              'prtmarkersuppliesdescription',
    '11.2.3.9.4.2.2.11.1.1.7':              'prtmarkersuppliessupplyunit',
    '11.2.3.9.4.2.2.11.1.1.8':              'prtmarkersuppliesmaxcapacity',
    '11.2.3.9.4.2.2.11.1.1.9':              'prtmarkersupplieslevel',
    '11.2.3.9.4.2.2.12':                    'prtMarkerColorant',
    '11.2.3.9.4.2.2.12.1':                  'prtMarkerColorantTable',
    '11.2.3.9.4.2.2.12.1.1':                'prtMarkerColorantEntry',
    '11.2.3.9.4.2.2.12.1.1.2':              'prtmarkercolorantmarkerindex',
    '11.2.3.9.4.2.2.12.1.1.3':              'prtmarkercolorantrole',
    '11.2.3.9.4.2.2.12.1.1.4':              'prtmarkercolorantvalue',
    '11.2.3.9.4.2.2.12.1.1.5':              'prtmarkercoloranttonality',
    '11.2.3.9.4.2.2.13':                    'prtMediaPath',
    '11.2.3.9.4.2.2.13.4':                  'prtMediaPathTable',
    '11.2.3.9.4.2.2.13.4.1':                'prtMediaPathEntry',
    '11.2.3.9.4.2.2.13.4.1.2':              'prtmediapathmaxspeedprintunit',
    '11.2.3.9.4.2.2.13.4.1.3':              'prtmediapathmediasizeunit',
    '11.2.3.9.4.2.2.13.4.1.4':              'prtmediapathmaxspeed',
    '11.2.3.9.4.2.2.13.4.1.5':              'prtmediapathmaxmediafeeddir',
    '11.2.3.9.4.2.2.13.4.1.6':              'prtmediapathmaxmediaxfeeddir',
    '11.2.3.9.4.2.2.13.4.1.7':              'prtmediapathminmediafeeddir',
    '11.2.3.9.4.2.2.13.4.1.8':              'prtmediapathminmediaxfeeddir',
    '11.2.3.9.4.2.2.13.4.1.9':              'prtmediapathtype',
    '11.2.3.9.4.2.2.13.4.1.10':             'prtmediapathdescription',
    '11.2.3.9.4.2.2.13.4.1.11':             'prtmediapathstatus',
    '11.2.3.9.4.2.2.14':                    'prtChannel',
    '11.2.3.9.4.2.2.14.1':                  'prtChannelTable',
    '11.2.3.9.4.2.2.14.1.1':                'prtChannelEntry',
    '11.2.3.9.4.2.2.14.1.1.2':              'prtchanneltype',
    '11.2.3.9.4.2.2.14.1.1.3':              'prtchannelprotocolversion',
    '11.2.3.9.4.2.2.14.1.1.4':              'prtchannelcurrentjobcntllangindex',
    '11.2.3.9.4.2.2.14.1.1.5':              'prtchanneldefaultpagedesclangindex',
    '11.2.3.9.4.2.2.14.1.1.6':              'prtchannelstate',
    '11.2.3.9.4.2.2.14.1.1.7':              'prtchannelifindex',
    '11.2.3.9.4.2.2.14.1.1.8':              'prtchannelstatus',
    '11.2.3.9.4.2.2.14.1.1.9':              'prtchannelinformation',
    '11.2.3.9.4.2.2.15':                    'prtInterpreter',
    '11.2.3.9.4.2.2.15.1':                  'prtInterpreterTable',
    '11.2.3.9.4.2.2.15.1.1':                'prtInterpreterEntry',
    '11.2.3.9.4.2.2.15.1.1.2':              'prtinterpreterlangfamily',
    '11.2.3.9.4.2.2.15.1.1.3':              'prtinterpreterlanglevel',
    '11.2.3.9.4.2.2.15.1.1.4':              'prtinterpreterlangversion',
    '11.2.3.9.4.2.2.15.1.1.5':              'prtinterpreterdescription',
    '11.2.3.9.4.2.2.15.1.1.6':              'prtinterpreterversion',
    '11.2.3.9.4.2.2.15.1.1.7':              'prtinterpreterdefaultorientation',
    '11.2.3.9.4.2.2.15.1.1.8':              'prtinterpreterfeedaddressability',
    '11.2.3.9.4.2.2.15.1.1.9':              'prtinterpreterxfeedaddressability',
    '11.2.3.9.4.2.2.15.1.1.10':             'prtinterpreterdefaultcharsetin',
    '11.2.3.9.4.2.2.15.1.1.11':             'prtinterpreterdefaultcharsetout',
    '11.2.3.9.4.2.2.15.1.1.12':             'prtinterpretertwoway',
    '11.2.3.9.4.2.2.16':                    'prtConsoleDisplayBuffer',
    '11.2.3.9.4.2.2.16.5':                  'prtConsoleDisplayBufferTable',
    '11.2.3.9.4.2.2.16.5.1':                'prtConsoleDisplayBufferEntry',
    '11.2.3.9.4.2.2.16.5.1.2':              'prtconsoledisplaybuffertext',
    '11.2.3.9.4.2.2.17':                    'prtConsoleLights',
    '11.2.3.9.4.2.2.17.6':                  'prtConsoleLightTable',
    '11.2.3.9.4.2.2.17.6.1':                'prtConsoleLightEntry',
    '11.2.3.9.4.2.2.17.6.1.2':              'prtconsoleontime',
    '11.2.3.9.4.2.2.17.6.1.3':              'prtconsoleofftime',
    '11.2.3.9.4.2.2.17.6.1.4':              'prtconsolecolor',
    '11.2.3.9.4.2.2.17.6.1.5':              'prtconsoledescription',
    '11.2.3.9.4.2.2.18':                    'prtAlert',
    '11.2.3.9.4.2.2.18.1':                  'prtAlertTable',
    '11.2.3.9.4.2.2.18.1.1':                'prtAlertEntry',
    '11.2.3.9.4.2.2.18.1.1.2':              'prtalertseveritylevel',
    '11.2.3.9.4.2.2.18.1.1.3':              'prtalerttraininglevel',
    '11.2.3.9.4.2.2.18.1.1.4':              'prtalertgroup',
    '11.2.3.9.4.2.2.18.1.1.5':              'prtalertgroupindex',
    '11.2.3.9.4.2.2.18.1.1.6':              'prtalertlocation',
    '11.2.3.9.4.2.2.18.1.1.7':              'prtalertcode',
    '11.2.3.9.4.2.2.18.1.1.8':              'prtalertdescription',
    '11.2.3.9.4.2.2.18.1.1.9':              'prtalerttime',
    '11.2.3.9.4.2.3':                       'hrm',
    '11.2.3.9.4.2.3.2':                     'hrStorage',
    '11.2.3.9.4.2.3.2.2':                   'hrmemorysize',
    '11.2.3.9.4.2.3.2.3':                   'hrStorageTable',
    '11.2.3.9.4.2.3.2.3.1':                 'hrStorageEntry',
    '11.2.3.9.4.2.3.2.3.1.1':               'hrstorageindex',
    '11.2.3.9.4.2.3.2.3.1.2':               'hrstoragetype',
    '11.2.3.9.4.2.3.2.3.1.3':               'hrstoragedescr',
    '11.2.3.9.4.2.3.2.3.1.4':               'hrstorageallocationunits',
    '11.2.3.9.4.2.3.2.3.1.5':               'hrstoragesize',
    '11.2.3.9.4.2.3.2.3.1.6':               'hrstorageused',
    '11.2.3.9.4.2.3.2.3.1.7':               'hrstorageallocationfailures',
    '11.2.3.9.4.2.3.3':                     'hrDevice',
    '11.2.3.9.4.2.3.3.2':                   'hrDeviceTable',
    '11.2.3.9.4.2.3.3.2.1':                 'hrDeviceEntry',
    '11.2.3.9.4.2.3.3.2.1.1':               'hrdeviceindex',
    '11.2.3.9.4.2.3.3.2.1.2':               'hrdevicetype',
    '11.2.3.9.4.2.3.3.2.1.3':               'hrdevicedescr',
    '11.2.3.9.4.2.3.3.2.1.4':               'hrdeviceid',
    '11.2.3.9.4.2.3.3.2.1.5':               'hrdevicestatus',
    '11.2.3.9.4.2.3.3.2.1.6':               'hrdeviceerrors',
    '11.2.3.9.4.2.3.3.5':                   'hrPrinterTable',
    '11.2.3.9.4.2.3.3.5.1':                 'hrPrinterEntry',
    '11.2.3.9.4.2.3.3.5.1.1':               'hrprinterstatus',
    '11.2.3.9.4.2.3.3.5.1.2':               'hrprinterdetectederrorstate',
    '11.2.3.9.4.2.3.3.6':                   'hrDiskStorageTable',
    '11.2.3.9.4.2.3.3.6.1':                 'hrDiskStorageEntry',
    '11.2.3.9.4.2.3.3.6.1.1':               'hrdiskstorageaccess',
    '11.2.3.9.4.2.3.3.6.1.2':               'hrdiskstoragemedia',
    '11.2.3.9.4.2.3.3.6.1.3':               'hrdiskstorageremoveble',
    '11.2.3.9.4.2.3.3.6.1.4':               'hrdiskstoragecapacity',
    '11.2.3.9.4.2.3.3.7':                   'hrPartitionTable',
    '11.2.3.9.4.2.3.3.7.1':                 'hrPartitionEntry',
    '11.2.3.9.4.2.3.3.7.1.1':               'hrpartitionindex',
    '11.2.3.9.4.2.3.3.7.1.2':               'hrpartitionlabel',
    '11.2.3.9.4.2.3.3.7.1.3':               'hrpartitionid',
    '11.2.3.9.4.2.3.3.7.1.4':               'hrpartitionsize',
    '11.2.3.9.4.2.3.3.7.1.5':               'hrpartitionfsindex',
    '11.2.3.9.4.2.3.3.8':                   'hrFSTable',
    '11.2.3.9.4.2.3.3.8.1':                 'hrFSEntry',
    '11.2.3.9.4.2.3.3.8.1.1':               'hrfsindex',
    '11.2.3.9.4.2.3.3.8.1.2':               'hrfsmountpoint',
    '11.2.3.9.4.2.3.3.8.1.3':               'hrfsremotemountpoint',
    '11.2.3.9.4.2.3.3.8.1.4':               'hrfstype',
    '11.2.3.9.4.2.3.3.8.1.5':               'hrfsaccess',
    '11.2.3.9.4.2.3.3.8.1.6':               'hrfsbootable',
    '11.2.3.9.4.2.3.3.8.1.7':               'hrfsstorageindex',
    '11.2.3.9.4.2.3.3.8.1.8':               'hrfslastfullbackupdate',
    '11.2.3.9.4.2.3.3.8.1.9':               'hrfslastpartialbackupdate',
    }
